label splashscreen:
    $ renpy.movie_cutscene("gui/pinkcake.webm")
    play music "music/ep1/acoustic_folk_instrumental.mp3"
    scene black with Pause(1)
    scene game_warning with dissolve
    $ renpy.pause()
    scene black with dissolve
    with Pause(1)
    #show game_support with dissolve
    #$ renpy.pause()
    #scene black with dissolve
    #with Pause(1)
    return

init python:
    import math
    def name_func(newstring):
        store.name = newstring
        renpy.restart_interaction()
    def sname_func(newstring):
        store.name = newstring
        renpy.restart_interaction()

$ flash = Fade(.25, 0, .75, color="#fff")

init python:
    g = Gallery()
    g.transition = dissolve
    achievement.Sync()

init:
    $ renpy.music.register_channel("sfx1", "sfx")
    $ renpy.music.register_channel("sfx2", "sfx")
    $ renpy.music.register_channel("sfx3", "sfx")
    if persistent.retroactive_unlock == None:
        $ persistent.retroactive_unlock = False
    if persistent.ep1_ana == None:
        $ persistent.ep1_ana = False
    if persistent.name == None:
        $ persistent.name = "Jonas"
    if persistent.ep1_leah == None:
        $ persistent.ep1_leah = False
    if persistent.ep1_megan == None:
        $ persistent.ep1_megan = False
    if persistent.ep2_melissa == None:
        $ persistent.ep2_melissa = False
    if persistent.ep2_melissa2 == None:
        $ persistent.ep2_melissa2 = False
    if persistent.ep2_angela == None:
        $ persistent.ep2_angela = False
    if persistent.ep2_hedwig == None:
        $ persistent.ep2_hedwig = False
    if persistent.ep2_both == None:
        $ persistent.ep2_both = False
    if persistent.ep3_melissa == None:
        $ persistent.ep3_melissa = False
    if persistent.ep3_leah == None:
        $ persistent.ep3_leah = False
    if persistent.ep3_leah2 == None:
        $ persistent.ep3_leah2 = False
    if persistent.ep3_megan == None:
        $ persistent.ep3_megan = False
    if persistent.ep3_megan2 == None:
        $ persistent.ep3_megan2 = False
    #ep 4
    if persistent.ep4_anhw == None:
        $ persistent.ep4_anhw = False
    if persistent.ep4_angela_footsie == None:
        $ persistent.ep4_angela_footsie = False
    if persistent.ep4_megan == None:
        $ persistent.ep4_megan = False
    if persistent.ep4_rena == None:
        $ persistent.ep4_rena = False
    if persistent.ep4_rena2 == None:
        $ persistent.ep4_rena2 = False
    #ep5
    if persistent.ep5_melissa == None:
        $ persistent.ep5_melissa = False
    if persistent.ep5_megan == None:
        $ persistent.ep5_megan = False
    if persistent.ep5_megan2 == None:
        $ persistent.ep5_megan2 = False
    if persistent.ep5_ana == None:
        $ persistent.ep5_ana = False
    #ep6
    if persistent.ep6_melissa == None:
        $ persistent.ep6_melissa = False
    if persistent.ep6_melissa2 == None:
        $ persistent.ep6_melissa2 = False
    if persistent.ep6_rena == None:
        $ persistent.ep6_rena = False
    #ep7
    if persistent.ep7_leah == None:
        $ persistent.ep7_leah = False
    if persistent.ep7_rena == None:
        $ persistent.ep7_rena = False
    #ep8
    if persistent.ep8_megan == None:
        $ persistent.ep8_megan = False
    if persistent.ep8_rena == None:
        $ persistent.ep8_rena = False
    if persistent.ep8_melissa == None:
        $ persistent.ep8_melissa = False

screen gallery:

    tag menu
    add "gallery/gallery_bg.jpg"

    # A grid of buttons.
    grid 6 5:

        xfill True
        yfill False

        if persistent.ep1_ana:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep1_ana.png"
                textbutton "Ep1 - Ana" action Replay("ep1_ana") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep1 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep1_leah:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep1_leah.png"
                textbutton "Ep1 - Leah" action Replay("ep1_leah") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep1 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep1_megan:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep1_megan.png"
                textbutton "Ep1 - Megan" action Replay("ep1_megan") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep1 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep2_melissa:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep2_melissa.png"
                textbutton "Ep2 - Melissa" action Replay("ep2_melissa") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep2 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep2_melissa2:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep2_melissa.png"
                textbutton "Ep2 - Melissa (Full)" action Replay("ep2_melissa_full") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep2 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep2_angela:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep2_angela.png"
                textbutton "Ep2 - Angela" action Replay("ep2_angela") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep2 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep2_hedwig:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep2_hedwig.png"
                textbutton "Ep2 - Hedwig" action Replay("ep2_hedwig") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep2 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep2_both:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep2_both.png"
                textbutton "Ep2 - Threesome" action Replay("ep2_both") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep2 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep3_melissa:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep3_melissa.png"
                textbutton "Ep3 - Melissa" action Replay("ep3_melissa") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep3 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep3_megan2:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep3_megan2.png"
                textbutton "Ep3 - Megan, kiss" action Replay("ep3_megan2") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep3 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep3_leah:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep3_leah.png"
                textbutton "Ep3 - Leah" action Replay("ep3_leah") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep3 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep3_leah2:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep3_leah.png"
                textbutton "Ep3 - Leah (Full)" action Replay("ep3_leah_full") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep3 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep3_megan:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep3_megan.png"
                textbutton "Ep3 - Megan, bed" action Replay("ep3_megan") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep3 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep4_anhw:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep4_anhw.png"
                textbutton "Ep4 - Beach" action Replay("ep4SunFun") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep4 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep4_angela_footsie:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep4_lunch_foot.png"
                textbutton "Ep4 - Angela" action Replay("ep4_lunch_foot") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep4 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep4_megan:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep4_megan_date_grind.png"
                textbutton "Ep4 - Megan" action Replay("ep4_megan_date_grind") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep4 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep4_rena:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep4_rena_sex.png"
                textbutton "Ep4 - Rena" action Replay("ep4_rena_sex") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep4 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep4_rena2:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep4_rena_sex.png"
                textbutton "Ep4 - Rena (Full)" action Replay("ep4_rena_sex_full") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep4 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep5_melissa:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep5_melissa_sex.png"
                textbutton "Ep5 - Melissa" action Replay("ep5_melissa_shower") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep5 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep5_megan:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep5_megan_sex.png"
                textbutton "Ep5 - Megan" action Replay("ep5_megan_hotel") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep5 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep5_megan2:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep5_megan_sex.png"
                textbutton "Ep5 - Megan (Full)" action Replay("ep5_megan_hotel_full") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep5 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep5_ana:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep5_ana_sex.png"
                textbutton "Ep5 - Ana" action Replay("ep5_ana_apt") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep5 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep6_melissa:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep6_melissa.png"
                textbutton "Ep6 - Melissa" action Replay("ep6_melissa") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep6 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep6_melissa2:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep6_melissa.png"
                textbutton "Ep6 - Melissa (Full)" action Replay("ep6_melissa_full") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep6 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep6_rena:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep6_rena.png"
                textbutton "Ep6 - Rena" action Replay("ep6_chosenrena") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep6 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep7_rena:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep7_rena_sex_mini.png"
                textbutton "Ep7 - Rena" action Replay("ep7_rena_sex") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep7 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep7_leah:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep7_leah_sex_mini.png"
                textbutton "Ep7 - Leah" action Replay("ep7_leah_sex") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep7 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep8_megan:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep8_megan_mini.png"
                textbutton "Ep8 - Megan" action Replay("ep8_megan_sex") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep8 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep8_melissa:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep8_melissa_mini.png"
                textbutton "Ep8 - Melissa" action Replay("ep8_melissa_sex") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep8 - ???"  xalign 0.5 yalign 0.5

        if persistent.ep8_rena:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/ep8_rena_mini.png"
                textbutton "Ep8 - Rena" action Replay("ep8_rena_sex") xalign 0.5 yalign 0.5
        else:
            vbox xalign 0.5 yalign 0.5:
                image "gallery/locked.png"
                textbutton "Ep8 - ???"  xalign 0.5 yalign 0.5

    vbox xalign 0.5 yalign 1.0:
        textbutton "{size=+10}Return{/size}" action Return() xalign 0.5 yalign 0.5

init:
    image white = Solid((255, 255, 255, 255))
    $ athleticTrait = False
    $ wellReadTrait = False
    $ charismaticTrait = False
    $ daytradedCrypto = False
    $ hungOutWithLiam = False
    $ offeredToHelp = False
    $ gotNumberByYourself = False
    $ actedDuringRobbery = False
    $ gotNumber = False
    $ RPliam = 0
    $ RPmegan = 0
    $ RPleah = 0
    $ questioningPoints = 0
    $ trippedRobber = False
    $ offerMoney = False
    $ offerJob = False
    $ offerHouse = False
    $ pissedOffTheClerk = True
    $ toldLiamAboutFakeNumber = False
    #Character variables
    $ kissedLeah = False
    $ kissedMegan = False
    $ kissedAna = False
    $ fuckedLeah = False
    $ fuckedMegan = False
    $ fuckedAna = False
    $ askAboutHints = 0
    transform transformTop:
        xpos 0
        ypos -2000
        easein 10 xpos 0 ypos 0

label start:
scene acting_lessons_main with fade
"Hi there!\nBefore you start the game you should know a couple of things."
"While your choices in this game do matter, the game is story driven and doesn't have any game over screens."
"You will not get instant feedback on your choices and are free to react how you want; there are, of course, consequences to your actions."
"But if you really feel like you need some extra help when making choices you can choose to turn on a setting that allows you to see messages like this one."
$ msgToDisplay = "He will remember this."
show screen toprightmsg
$ renpy.pause()
"If you prefer to go in blind without hints such as these it's ok too.\nIt's {b}YOU{/b} who should enjoy the game after all."
hide screen toprightmsg
$ askAboutHints = 1
"Do you want to play with hints enabled?"
menu:
    "Yes, enable hints for this episode.":
        $ askAboutHints = 2
        $ hintsEnabled = True
        $ msgToDisplay = "The game will remember this choice."
        show screen toprightmsg
        "Hints have been enabled!"
        hide screen toprightmsg
    "Yes, enable hints. Never ask me again.":
        $ askAboutHints = 1
        $ hintsEnabled = True
        $ msgToDisplay = "The game will remember this choice."
        show screen toprightmsg
        "Hints have been enabled for this and future episodes!"
        hide screen toprightmsg
    "No, disable hints for this episode.":
        $ askAboutHints = 2
        $ hintsEnabled = False
        "You're continuing the story blind.\nThis is the way I intended the game to be played."
        "Hints are disabled for this episode!"
    "No, disable hints. Never ask me again.":
        $ askAboutHints = 1
        $ hintsEnabled = False
        "You're continuing the story blind.\nThis is the way I intended the game to be played."
        "Hints have been disabled for this and future episodes!"
scene black with fade
menu:
    "Lain" "Would you like to disable the quick menu so it doesn't block the bottom of the screen?"
    "Yes":
        $ quick_menu = False
        show screen quick_menu()
    "No":
        $ quick_menu = True
"Enjoy the game!"
#Intro
scene black with fade
show ol_episode1 with fade
$ renpy.pause()
stop music fadeout 10
hide ol_episode1 with fade
"Life can take unexpected turns."
"It sure did for me back in December 2017 when I cashed out 50\% of my cryptocurrency investments after an amazing market bull run."
"Now I had just enough money to ensure an early retirement.\nNot that I was {b}that{/b} old at the time."
"Sure, I was older than some, but still younger than most."
"Life for me wasn't about money."
"I didn't dream of fancy cars or living luxuriously."
"I only wanted to ensure that I had enough money to get by without having to worry about the future."
"Just enough to do whatever I wanted, whenever I wanted it."
"However, it wasn't that unexpected turn of events that I wanted to reminisce about."
"I really wanted to tell you about the day I met a girl named Megan..."
"...and how my life changed in a way that I never could have imagined."

play music "music/ep1/water_lily.mp3"
scene home_computer with fade
"(This bear market is killing me.)"
"(I am so glad that I cashed out a lot of money before the market crash.)"
"(That was really lucky.)"
"(I'd like to say that was based on past experience, but let's be honest...it mostly was lucky timing.)"
scene home_livingroom with dissolve
"(I can't imagine how most investors must be feeling right now.)"
"(All prices really have plummeted and been dirt cheap for so long.)"
play sound "sound_effects/ep1/cellphone.mp3"
"{i}Cell phone rings{/i}"

scene home_phone_call with dissolve
tm "Hi! Have I reached Jonas Redfield?"
menu:
    "Yes, speaking. (This will be your name)":
        $ name = "Jonas"
        $ sname = "Redfield"
        tm "Oh great! Hi Mr [sname]!"
        jump nameIsEntered
    "No, this is… (Change name)":
        if renpy.variant("pc"):
            $ name = renpy.input("What is your first name?")
            $ name = name.strip()
            if name == "":
                $ name = "Jonas"
            $ sname = renpy.input("What is your last name?")
            $ sname = sname.strip()
            if sname == "":
                $ sname = "Redfield"
            tm "Oh sorry, my mistake. I was looking at the wrong row in my document...here you are."
            tm "Let's start over! Hi Mr [sname]!"
            jump nameIsEntered
        else:
            "What's your first name?"
            $ name = renpy.input("What's your first name?")
            $ name = name.strip()
            if name == "":
                $ name = "Jonas"
            "What is your last name?"
            $ sname = renpy.input("What is your last name?")
            $ sname = sname.strip()
            if sname == "":
                $ sname = "Redfield"
            tm "Oh sorry, my mistake. I was looking at the wrong row in my document...here you are."
            tm "Let's start over! Hi Mr [sname]!"
            jump nameIsEntered

label nameIsEntered:
$ persistent.name = name
tm "I'm calling from PhoneRoam and we are wondering if you are satisfied with your current cellphone service?"
menu:
    "Yes, I am very happy with it.":
        mc "Yes, I am very happy with it."
        tm "Well we have this offer right now that might change your mind. For only \$19.99 a month you'll get..."
        mc "Sorry, I'm not interested. Please put me on your \"do not call list\"."
        "{i}Phone clicks{/i}"
        jump phoneMarketerCallEnded
    "No, please tell me more about it. (Sincere)":
        mc "No, please tell me more about it. "
        tm "Oh, really? Well…erm…sorry I wasn't quite prepared for that reply. No one so far has wanted to hear about it."
        tm "Well, I guess it is quite cheap and reliab...and...erm"
        tm "You know what, this is my first day and I don't really know much about our product. Let me read up on it and perhaps I can call you again sometime later?"
        mc "Nevermind..."
        "{i}Phone clicks{/i}"
        jump phoneMarketerCallEnded
    "No, please tell me more about it. (Sarcastic)":
        mc "No, please tell me {b}more{/b} about it."
        tm "Sir please don't be rude."
        tm "I know that no one really likes us but this is my job."
        menu:
            "Apologize":
                mc "Hey I didn't mean to offend you, but I'm not interested."
                tm "All right, thank you Mr [sname]. Have a wonderful day!"
                "{i}Phone clicks{/i}"
                jump phoneMarketerCallEnded
            "Ridicule him":
                mc "I bet you couldn't even sell your product to your mom. She's probably sick of you calling her."
                "{i}Phone clicks{/i}"
                mc "(That felt so good.)"
                jump phoneMarketerCallEnded
    "Joke":
        mc "Sorry, wh..at…d.id…yo…u..say? I can't he..ar..you.. You..ar..e… break..ing..up?"
        "{i}You hang up the phone.{/i}"
        jump phoneMarketerCallEnded

label phoneMarketerCallEnded:
scene home_livingroom with fade
mc "(Poor guy. Must be a tough job.)"
"{i}Stomach growls{/i}"
mc "(Ah, lunch time.)"

scene home_kitchen_fridge with fade
mc "(Hm, what a depressing sight.)"
mc "(There's not much I can make with beer and butter.)"
mc "(At least there are some leftovers from last night.)"
mc "(I can't put off shopping for food today.)"
scene home_dinner_table_leftover with dissolve
$renpy.pause()
mc "(It certainly looks better than it tastes.)"
mc "(The meat is all dry...)"

play sound "sound_effects/ep1/cellphone.mp3"
"{i}Cell phone rings{/i}"
mc "(This better not be the telemarketer again...)"
mc "(Oh it's Liam!)"
scene home_kitchen_phone_call with dissolve
mc "Hi Liam!"
scene phone_liam_talk with dissolve
liam "Hey bro! I was having my lunch break when I saw this poster of ShitFaced playing at Lexi's rock bar next Friday. You wanna go?"
scene home_kitchen_phone_call with dissolve
mc "ShitFaced you say? I thought they split up."
scene phone_liam_talk2 with dissolve
liam "No they only replaced their alcie drummer with another dude."
scene phone_liam_excited with dissolve
liam " I hear he's tight as fuck."
scene home_kitchen_phone_call with dissolve
mc "It's been ages since I saw them. Count me in."
scene phone_liam_smile with dissolve
liam "Awesome! I'll get the tickets."
liam "So what's new with you?"
scene home_kitchen_phone_call with dissolve
mc "Not much since the market crash. I've mostly been reading up on new projects to invest in and..."
scene black with dissolve
show text "{color=#ffffff}Traits will unlock different options and interactions throughout the game. It can affect how other characters perceive you and change the outcome of dialogue options.{/color}"
$ renpy.pause()
scene home_kitchen_phone_call with dissolve
menu:
    "{color=#4ee44e}Mod: Unlock all traits":
        $ athleticTrait = True
        $ wellReadTrait = True
        $ charismaticTrait = True
        $ save_name = "All traits"
        "Lain" "All traits unlocked."
        mc "...I've been working out, doing a bit of reading, hanging out at some bars. Lots of stuff to be honest."
        jump phoneCallLiamContinue
    "{color=#949494}...going to the gym. (Unlocks Athletic trait)":
        $ athleticTrait = True
        $ wellReadTrait = False
        $ charismaticTrait = False
        $ save_name = "Athletic trait"
        mc "...working out at the gym."
        jump phoneCallLiamContinue
    "{color=#949494}...reading books. (Unlocks Well-read trait)":
        $ athleticTrait = False
        $ wellReadTrait = True
        $ charismaticTrait = False
        $ save_name = "Well-read trait"
        mc "...catching up on the new best selling authors."
        jump phoneCallLiamContinue
    "{color=#949494}...trying to meet new people. (Unlocks Charismatic trait)":
        $ athleticTrait = False
        $ wellReadTrait = False
        $ charismaticTrait = True
        $ save_name = "Charismatic trait"
        mc "...hanging out at bars trying to meet new people."
        jump phoneCallLiamContinue

label phoneCallLiamContinue:
scene phone_liam_neutral with dissolve
liam "That sounds great man. Must be nice to have all that spare time."
scene phone_liam_talk2 with dissolve
liam "Listen, I gotta get back to work. How about we do something later?"
menu:
    "{color=#4ee44e}Accept":
        scene home_kitchen_phone_call with dissolve
        $ RPliam += 1
        mc "Sure, I'm up for anything."
        scene phone_liam_smile with dissolve
        $ msgToDisplay = "Liam is happy to hear that."
        if hintsEnabled:
            show screen toprightmsg
        liam "Perfect. I'll call you when I get off work. Later."
        hide screen toprightmsg
        jump phoneCallLiamEnded
    "{color=#949494}Decline":
        scene home_kitchen_phone_call with dissolve
        mc "Sorry, I'm not really feeling up for it."
        scene phone_liam_neutral with dissolve
        $ msgToDisplay = "Liam is slightly disappointed."
        if hintsEnabled:
            show screen toprightmsg
        liam "No sweat. Another time then."
        hide screen toprightmsg
        liam "Well, I gotta go. Talk to you later."
        jump phoneCallLiamEnded

label phoneCallLiamEnded:
scene home_kitchen_phone_call with dissolve
mc "Bye."

scene home_dinner_table_leftover with dissolve
mc "(Liam is such a nice friend. Always keeping in touch, even though I suck at calling him.)"
mc "(He can be immature at times, but that's actually something I like about him.)"
mc "(Should be fun to go to a rock concert. Maybe I'll meet a nice girl there?)"
mc "(Although I'm not so sure that many {i}nice{/i} girls listen to ShitFaced.)"
mc "(Ok, I'm full. Let's go shopping before I procrastinate.)"
mc "(I should get some exercise too.)"

scene park_walk with fade
$ renpy.pause()
mc "(I like this park. It's so beautiful here.)"
mc "(It's so nice that it hasn't been paved over like the rest of this town.)"
scene park_runner
mc "(There're always a lot of people here. Walking their dogs, having picnics and exercising.)"
mc "(Also, it is the perfect setting for a casual date.)"
scene park_walk
mc "(Speaking of which, it has been too long since my last one.)"
stop music fadeout 5
mc "(My last girlfriend, Ana, was really hot...)"
mc "(I remember when we first met. We were fucking like animals.)"
label ep1_ana:
if persistent.retroactive_unlock:
    jump unlockLabel1
if _in_replay:
    if persistent.name == None:
        $ name = "Jonas"
    else:
        $ name = persistent.name
scene white with dissolve
play music "music/ep1/some_obsession.mp3"
ana "[name], why the fuck are you still dressed?"
scene past_ana_talk with fade
ana "Don't you wanna do this?"
scene past_ana_listen with dissolve
mc "I do, but what if someone comes?"
scene past_ana_talk2 with dissolve
ana "Duh! That's the point of fucking."
scene past_ana_listen with dissolve
mc "That's not what I meant. This beach is not {b}that{/b} secluded."
scene past_ana_remove_clothes with dissolve
ana "Don't be a pussy [name]! That's part of the thrill."
ana "Now come here."
scene past_ana_kiss_player_a with dissolve
$ renpy.pause(0.5)
scene past_ana_kiss_player_b with dissolve
$ renpy.pause()
scene past_ana_kiss_player1a with dissolve
$ renpy.pause()
scene past_ana_kiss_player1b with dissolve
$ renpy.pause()
scene past_ana_kiss_player2b with dissolve
ana "Mmm..."
window hide
$ renpy.pause()
scene past_ana_kiss_player2a with dissolve
$ renpy.pause()
scene past_ana_kiss_player2b with dissolve
$ renpy.pause()
scene past_ana_going_down with dissolve
ana "Let's get you out of these..."
scene past_ana_flacid with dissolve
ana "I bet I can make your dick grow in my mouth."
scene past_ana_taste2b with dissolve
$ renpy.pause()
scene past_ana_taste2a with dissolve
$ renpy.pause()
scene past_ana_taste1b with dissolve
$ renpy.pause()
scene past_ana_taste1a with dissolve
$ renpy.pause()
scene past_ana_taste3 with dissolve
$ renpy.pause()
scene past_ana_grab_dick with dissolve
ana "Just as I thought."
mc "Please don't stop!"
scene past_ana_grab_dick2 with dissolve
ana "Baby, we're just getting started."
if renpy.loadable("extras.actinglessons.rpyc"):
    image anim_ana_bj = Movie(channel="anim_ana_bj", play="images/Extras/ep1/anim_ana_bj.webm")
    image anim_ana_bj2 = Movie(channel="anim_ana_bj2", play="images/Extras/ep1/anim_ana_bj2.webm")
    image anim_ana_bj3 = Movie(channel="anim_ana_bj3", play="images/Extras/ep1/anim_ana_bj3.webm")
    scene anim_ana_bj with fade:
        size (config.screen_width, config.screen_height)
    pause
    mc "Oh Ana! Go deeper."
    scene anim_ana_bj2 with dissolve:
        size (config.screen_width, config.screen_height)
    pause
    mc "Yes! Faster!"
    scene anim_ana_bj3 with dissolve:
        size (config.screen_width, config.screen_height)
    pause
else:
    scene still_ana_bj with fade
    $ renpy.pause()
    mc "Oh Ana! Go deeper."
    scene still_ana_bj2 with dissolve
    $ renpy.pause()

scene past_ana_grab_dick with dissolve
ana "Now it's my turn."
scene past_ana_spread with dissolve
ana "Get down here and eat my pussy [name]!"
scene past_ana_eat with dissolve
$ renpy.pause()
scene past_ana_eat2 with dissolve
$ renpy.pause()
ana "Uh huh. Just like that. *moans*"
scene past_ana_eat with dissolve
$ renpy.pause()
scene past_ana_eat2 with dissolve
$ renpy.pause()
scene past_ana_eat with dissolve
$ renpy.pause()
scene past_ana_eat2 with dissolve
$ renpy.pause()
scene past_ana_eat with dissolve
$ renpy.pause()
scene past_ana_eat2 with dissolve
$ renpy.pause()
scene past_ana_invite with dissolve
ana "I want to feel you inside of me [name]. Put it in."
scene past_ana_insert with dissolve
ana "Mmm..."
window hide
$ renpy.pause()
ana "Ahhhh!! Fuck me [name]!!"
if renpy.loadable("extras.actinglessons.rpyc"):
    image anim_ana_missionary = Movie(channel="anim_ana_missionary", play="images/Extras/ep1/anim_ana_missionary.webm")
    scene anim_ana_missionary with dissolve:
        size (config.screen_width, config.screen_height)
    pause
else:
    scene still_ana_missionary with dissolve
    $ renpy.pause()
    scene still_ana_missionary2 with dissolve
    $ renpy.pause()
    scene still_ana_missionary with dissolve
    $ renpy.pause()
    scene still_ana_missionary2 with dissolve
    $ renpy.pause()

ana "Oh [name]!"
scene past_ana_getting_up with dissolve
ana "Lie down [name]. I'm going to ride you until you cum!"
scene past_ana_straddle1a with dissolve
$ renpy.pause()
scene past_ana_straddle1b with dissolve
$ renpy.pause()
ana "Mmm..."
scene past_ana_straddle2b with dissolve
$ renpy.pause()
scene past_ana_straddle2a with dissolve
$ renpy.pause()
ana "Ahhh! You're so {b}big{/b}!"
$ renpy.pause()
mc "Ride me Ana!"

if renpy.loadable("extras.actinglessons.rpyc"):
    image anim_ana_ride = Movie(channel="anim_ana_ride", play="images/Extras/ep1/anim_ana_ride.webm")
    image anim_ana_ride2 = Movie(channel="anim_ana_ride2", play="images/Extras/ep1/anim_ana_ride2.webm")
    scene anim_ana_ride with fade:
        size (config.screen_width, config.screen_height)
    pause
    scene past_ana_straddle2a with dissolve
    ana "{i}*moans* Yes!! Yes!! Keep going!!{/i}"
    ana "Faster!! Faster!!"
    scene anim_ana_ride2 with fade:
        size (config.screen_width, config.screen_height)
    pause
    ana "I want you to cum baby...Please cum for me?"
    mc "Oh Ana! I'm coming!"
    ana "Oh baby! Cum!! Cum all over my pussy [name]!"
else:
    scene still_ana_ride with dissolve
    $ renpy.pause()
    ana "{i}moans{/i}"
    scene still_ana_ride2 with dissolve
    $ renpy.pause()
    scene still_ana_ride with dissolve
    $ renpy.pause()
    scene still_ana_ride2 with dissolve
    $ renpy.pause()
    scene still_ana_ride with dissolve
    $ renpy.pause()
    scene past_ana_straddle2a with dissolve
    ana "{i}*moans* Yes!! Yes!! Keep going!!{/i}"
    scene still_ana_ride2 with dissolve
    $ renpy.pause()
    scene still_ana_ride with dissolve
    $ renpy.pause()
    scene still_ana_ride2 with dissolve
    $ renpy.pause()
    scene still_ana_ride with dissolve
    $ renpy.pause()
    ana "I want you to cum baby...Please cum for me?"
    scene still_ana_ride2 with dissolve
    $ renpy.pause()
    scene still_ana_ride with dissolve
    $ renpy.pause()
    mc "Oh Ana! I'm coming!"
    ana "Oh baby! Cum!! Cum all over my pussy [name]!"

scene still_ana_cum with dissolve
$renpy.pause(0.5)
scene still_ana_cum2 with hpunch
$renpy.pause(0.5)
scene still_ana_cum3 with hpunch
$ renpy.pause()
$ persistent.ep1_ana = True
$ renpy.end_replay()
label backToPresent:
stop music fadeout 2
scene white with fade
mc "(Too bad it had to end the way it did...)"
play music "music/ep1/water_lily.mp3"
scene park_walk with fade
mc "(It was the right choice to leave her...)"
scene park_walk2 with dissolve
mc "(...I could never forgive her for what she did.)"

scene shop_street_walk with fade
mc "(The city is pretty quiet this time of day.)"
scene shop_street_walk2 with dissolve
$ renpy.pause()
scene shop_street_walk3 with dissolve
$ renpy.pause()
mc "(Most people are probably at work by now.)"
scene shop_street_walk4 with dissolve
$ renpy.pause()
scene street_shop with fade
mc "(Hm, never saw this store before. It looks pretty small from the outside.)"
mc "(I wonder if they sell anything good?)"
scene street_shop2 with dissolve
mc "(It couldn't hurt to try something new right?)"

scene shop_entrance with fade
play sound "sound_effects/ep1/store_bell.mp3"
"{i}Ding ding{/i}"
scene shop_look_around with dissolve
mc "(Shocker...it's small on the inside too.)"
mc "(Do they even sell food here?)"
mc "(I don't recognize any of these brands.)"
scene shop_wheatpaste with dissolve
mc "(Organic wheatpaste? Is...is that an edible thing? I don't think so.)"
mc "(Vegan carrots? I thought carrots already were vegan.)"
mc "(Look at this one. It just says \"Meat\"...in quotation marks.)"
stop music fadeout 6
scene shop_look_around with dissolve
mc "(What a weird store.)"
mc "(It doesn't look like they have a lot of business either. Figures.)"
mc "(The girl working here is very pretty though.)"
play music "music/ep1/wings.mp3"
window hide
if renpy.loadable("extras.actinglessons.rpyc"):
    scene megan_intro at transformTop
    $ renpy.pause()

scene shop_megan_close with fade
$ renpy.pause()
menu:
    "{color=#4ee44e}Look closer":
        scene shop_megan_closer with dissolve
        $ msgToDisplay = "The clerk noticed that."
        if hintsEnabled:
            show screen toprightmsg
        $ renpy.pause()
        hide screen toprightmsg
        $ lookedCloserAtMegan = True
        jump continueShopping
    "{color=#949494}Don't risk it":
        mc "(I wonder if she likes to work here. She looks to be pretty bored.)"
        mc "(Probably because there aren't any customers.)"
        $ lookedCloserAtMegan = False
        jump continueShopping

label continueShopping:
scene store_shelves with dissolve
mc "(Hm, I guess I could buy a couple of these. Not sure what it is really, but it looks all right.)"
mc "(At least it can't be worse than vegan carrots...or beer and butter, for that matter.)"

scene robber_enter_store
play sound "sound_effects/ep1/store_bell.mp3"
"{i}Ding ding{/i}"
scene store_shelves
mc "(Ok, I guess that's all. Not much more in here that looks good to be honest.)"
if lookedCloserAtMegan == True:
    scene store_megan_annoyed with fade
    Teller "So did you get a good look?"
    if charismaticTrait == True:
        mc "(Oh shit! She definitely caught me staring. Maybe I can play it off...)"
        mc "Yeah, I think I saw most of your items."
        scene store_megan_sly
        Teller "(That wasn't really what I meant. He must be very confident; it didn't even fluster him.)"
        scene store_megan_neutral
        mc "But the selection here isn't really that great. I couldn't recognize the different brands."
        scene store_megan_talk
        Teller "We get that a lot. The owner insists on keeping the cheapest inventory possible."
        scene store_megan_smile
        Teller "He then marks up the price thinking people will still buy it."
        mc "Well, that's one way of doing business."
        scene store_megan_think_close_up with dissolve
        $ msgToDisplay = "She likes your charisma."
        if hintsEnabled:
            show screen toprightmsg
        Teller "(This guy's kind of cute...)"
        hide screen toprightmsg
        $ RPmegan += 3
    else:
        mc "(Oh shit! She definitely caught me staring.)"
        mc "Erm...I...I'm sorry...I"
        scene store_megan_sly
        Teller "At the items I mean."
        mc "Oh, yes! You have a great assortment of goods here."
        mc "(Wow I am falling apart here. Great assortment of goods? Who even talks like that?)"
        scene store_megan_neutral
        Teller "Not really. I guess some of it is ok. I wouldn't call it great though."
        scene store_megan_think_close_up with dissolve
        Teller "(Wow, this guy is really nervous. Probably 'cause I caught him staring.)"
        Teller "(He's kind of cute though...)"
        $ RPmegan += 2
        Teller "(I should give him a break.)"
        jump cashierConversation
else:
    scene store_megan_smile with fade
    mc "Hi, I'd like to purchase these."
    scene store_megan_surprised with dissolve
    Teller "Are you sure you want to buy those?"
    if charismaticTrait == True:
        mc "I think so. Why? Aren't they any good?"
        scene store_megan_laugh with dissolve
        Teller "Haha. No, they are actually terrible."
        mc "Thanks for telling me. At least I thought they sounded better than organic wheatpaste."
        scene store_megan_sly with dissolve
        Teller "Who would eat organic wheatpaste? You do know that's an adhesive right?"
        mc "(I probably would have known that if I spent more time reading books than hanging out at bars)"
        mc "Well, it still sounds better. Don't you think?"
        scene store_megan_happy with dissolve
        Teller "Haha. You're funny."
        Teller "I'm afraid we don't have a great selection here."
        scene store_megan_smile with dissolve
        Teller "The owner insists on keeping the cheapest inventory there is I'm afraid."
        scene store_megan_think_close_up with dissolve
        $ msgToDisplay = "She likes your charisma."
        if hintsEnabled:
            show screen toprightmsg
        Teller "(He's kind of cute...)"
        hide screen toprightmsg
        $ RPmegan += 3
    else:
        mc "Erm, yes I do… or I think I do."
        scene store_megan_smile with dissolve
        Teller "They're just not very good that's all."
        mc "Oh. Well I haven't tried them before and I couldn't really find anything else that looked appealing."
        scene store_megan_laugh with dissolve
        mc "(Stupid! Did I just say that?)"
        Teller "Haha. Yes, I guess we don't have a great selection here."
        scene store_megan_happy with dissolve
        Teller "Thanks for pointing that out!"
        mc "Sorry, I didn't mean to offend you. I..I…"
        mc "(Why am I so nervous?)"
        if athleticTrait == True:
            mc "(Probably because I spend my free time at the gym instead of talking to people.)"
        elif wellReadTrait == True:
            mc "(Probably because I bury my head in books instead of talking to people.)"
        scene store_megan_think_close_up with dissolve
        Teller "(It's cute that he's so nervous...)"
        $ RPmegan += 2
    jump cashierConversation

label cashierConversation:
        scene store_megan_smile with dissolve
        Teller "Can I get you anything else?"
menu:
        "{color=#4ee44e}Ask if she can recommend anything":
            mc "I was hoping to buy more than this, but I'm feeling lost."
            mc "Can you recommend something?"
            scene store_megan_think with dissolve
            Teller "Hm..."
            scene store_megan_talk with dissolve
            Teller "I'd probably recommend you to go down a block to the supermarket. Haha."
            scene store_megan_laugh with dissolve
            mc "Haha. It's that bad isn't it?"
            Teller "I'm afraid so."
            $ RPmegan += 2
            jump cashierEndConversation
        "{color=#4ee44e}Ask for her number":
            if charismaticTrait == True:
                mc "You could always put your number on a piece paper and give it to me."
                scene store_megan_laugh with dissolve
                $ msgToDisplay = "She finds you charismatic."
                if hintsEnabled:
                    show screen toprightmsg
                Teller "Nice try."
                hide screen toprightmsg
                mc "(Dammit, that's a shame.)"
                $ RPmegan += 2
            else:
                mc "Well, you could always put your number on a piece paper and sell it to me."
                scene store_megan_annoyed with dissolve
                $ msgToDisplay = "She finds you a bit creepy."
                if hintsEnabled:
                    show screen toprightmsg
                Teller "You want to buy my number?"
                hide screen toprightmsg
                mc "Sorry, I was only joking."
                scene store_megan_neutral with dissolve
                Teller "So nothing else then?"
                mc "No thanks, I'm good."
                mc "(Dammit, that was stupid.)"
            jump cashierEndConversation
        "{color=#949494}Tell her you're satisfied":
            mc "No thanks. I believe I got what I wanted."
            jump cashierEndConversation

label cashierEndConversation:
scene store_megan_talk with dissolve
Teller "So if nothing else, that adds up to \$9.64."
mc "Ok. Here is \$10, keep the cha-"
stop music
play sound "sound_effects/ep1/hit.mp3"
play music "music/ep1/metal.mp3"
scene store_megan_shock with hpunch
scene black  with fade
play sound "sound_effects/ep1/gunshot.mp3"
"{i}Gunshot{/i}"
Teller "{i}*Screams*{/i}"
Robber "Don't fucking move! And you stay the fuck down!"
Robber "Empty the register and put it in the bag! Now!"
Teller "Please don't shoot!"

scene robbery_floor_blurry with fade
Robber "Hurry up bitch or I'll spray your fucking face all over the wall!"
scene black with fade
Teller "{i}*Crying*{/i}"
Teller "Please don't hurt me."
scene robbery_floor_clearer with fade
Robber "Bitch, hurry the fuck up! I {b}will{/b} shoot you!"
scene robbery_floor_clear with dissolve
menu:
    "{color=#4ee44e}Trip the robber" if athleticTrait == True:
        $ RPmegan += 3
        $ actedDuringRobbery = True
        $ trippedRobber = True
        $ msgToDisplay = "You saw the robber's face."
        Robber "Hey, what the fuck are you doing!?"
        if hintsEnabled:
            show screen toprightmsg
        scene robbery_trip with dissolve
        Robber "Nice try asshole!"
        hide screen toprightmsg
        jump robberyEnd
    "{color=#949494}Plea for the clerk's life":
        $ RPmegan += 2
        $ actedDuringRobbery = True
        mc "P..please.."
        $ msgToDisplay = "She will remember that."
        if hintsEnabled:
            show screen toprightmsg
        mc "Please don't hurt her!"
        hide screen toprightmsg
        Robber "I will shoot her in the face if you don't shut the fuck up!"
        jump robberyEnd
    "{color=#949494}Try to get up":
        $ RPmegan += 1
        $ actedDuringRobbery = True
        $ msgToDisplay = "She will remember that."
        if hintsEnabled:
            show screen toprightmsg
        Robber "Didn't I tell you to stay the fuck down?!"
        hide screen toprightmsg
        jump robberyEnd
    "{color=#949494}Lay down and do nothing":
        $ actedDuringRobbery = False
        $ msgToDisplay = "She will remember that."
        if hintsEnabled:
            show screen toprightmsg
        mc "..."
        hide screen toprightmsg
        Robber "Yeah that's right you bitch-ass pussy. You just stay down there."
        jump robberyEnd

label robberyEnd:
scene robber_stomp
$ renpy.pause(0.5)
play sound "sound_effects/ep1/hit.mp3"
scene robber_stomp2 with vpunch
scene black with fade
scene black
play sound "sound_effects/ep1/gunshot.mp3"
"{i}Gunshot{/i}"
stop music fadeout 3
"{i}You pass out{/i}"

scene black
play music "music/ep1/impact_prelude.mp3"
mc "(I've always wondered what you experience as you're dying.)"
mc "(Like, where does your mind wander?)"
mc "(Is it like the cliché goes, that your life flashes in front of your eyes?)"
mc "(That you see glimpses of everyone you've ever loved...)"
mc "(...and every precious moment you've ever had?)"
mc "(Well, I wasn't really dying. So there's no way I could've known.)"
mc "(But being in a medically induced coma...)"
mc "(...makes you see things too.)"
scene coma_dream_weird with fade
mc "(Very weird things.)"

scene coma_dream_no_sense with fade
mc "(Visions that makes absolutely no sense.)"

if athleticTrait == True:
    scene coma_dream_athletic with fade
elif wellReadTrait == True:
    scene coma_dream_well_read with fade
else:
    scene coma_dream_charismatic with fade
mc "(Visions that nightmares are made of.)"

mc "(...)"
scene black with fade
mc "(But occasionally, you'll also see something nice.)"
scene coma_megan with fade
$ renpy.pause()
mc "(...)"
scene black with fade
mc "(I find it weird that time passes so fast when you're unconscious.)"
mc "(...)"
stop music fadeout 2

scene black
uk "Look, he's waking up!"
scene hospital_awakening_blurry with fade
mc "(Who's there?)"
scene black with fade
scene hospital_awakening_clearer with fade
$ renpy.pause(0.5)
mc "(Where am I?)"
scene black with fade
scene hospital_awakening_clearest with fade
mc "(What happened?)"
scene black with fade
scene hospital_awakening with fade
play music "music/ep1/water_lily.mp3"
liam "[name]! You're awake!"
Nurse "[name], take it slow ok? You're at Brooke Hospital."
Nurse "You've been in a medically induced coma and are just awakening."
mc "A...coma? For how long?"
scene hospital_awekening_leah_talk with dissolve
Nurse "It has been a week since your accident."
mc "My accident...?"
mc "The robbery!"

scene hospital_upset with hpunch
mc "Aargh!"
Nurse "Please, slow down sweetie; don't strain yourself."
Nurse "You've suffered head trauma and have a concussion."
Nurse "You got a couple of nasty blows to your head."
scene hospital_awekening_leah_talk with dissolve
Nurse "You'll be all right, eventually, but you must rest to let your body recover."
mc "There were gunshots... Was I shot?"
Nurse "No [name], you're here because of the head trauma."
mc "That means...the clerk..."
mc "Did the clerk get hurt?"
scene hospital_liam_talking with dissolve
liam "Hey [name], chill. No one else got hurt in the robbery."
liam "It was all over the news though. The robber shot warning shots inside the store and got away with the cash in the register."
scene hospital_liam_talking2 with dissolve
liam "He is still at large, so I bet that the police want your statement when you're feeling better."
mc "Ok...I don't really remember much. Just talking to the clerk, the gunshots and then everything went black."
scene hospital_awekening_leah_talk with dissolve
Nurse "Don't worry about it now sweetie. You must rest."
Nurse "I'll inform Doctor Williams that you're awake."

scene hospital_liam_upset with dissolve
liam "Dude, I thought you were a goner."
liam "And you know doctors. They aren't exactly the best at putting your mind at ease."
scene hospital_liam_talking_funny with dissolve
liam "All that medical jargon."
scene hospital_liam_upset with dissolve
liam "When I heard that they put you in a \"medically induced coma due to severe head trauma\" I didn't know what to think!"
scene hospital_liam_talking_funny with dissolve
liam "Had they only said, \"Hey Liam. Your boy [name] here got bashed in the head by some idiot robber, so we have drugged him up and he'll be sleeping for a while.\"..."
liam "...then I probably wouldn't have worried so much."
mc "I'm sorry for worrying you Liam."
scene hospital_liam_upset with dissolve
liam "[name], stop it. It's not your fault. You just happened to be at the wrong place at the wrong time."
scene hospital_liam_glad with dissolve
liam "I'm just so glad you made it."
mc "Are you sure no one got hurt during the robbery?"
scene hospital_liam_talking_funny with dissolve
liam "Yeah, totally sure. I've been watching the news ever since that day you know."
scene hospital_liam_angry with dissolve
liam "I'm just waiting for them to catch that fucker who did this to you."
mc "Yeah..."
scene hospital_liam_neutral with dissolve
mc "How did I end up here?"
scene hospital_liam_talking_funny with dissolve
liam "From what they've told me, this chick working in the store during the robbery called the cops and an ambulance for you."
liam "I think she went with you in the ambulance."
liam "I guess she must have been pretty shocked by everything that happened."
scene hospital_liam_neutral with dissolve
mc "Yeah, it must have been horrifying for her."
mc "I'm so thankful that she didn't get hurt..."
mc "...at least physically."
scene hospital_liam_talking_funny with dissolve
liam "I think she's the one who left you those flowers."
scene hospital_flowers with dissolve
liam "The card reads \"Get well soon. XO Megan\""
scene hospital_liam_glad with dissolve
mc "Megan, huh. So that's her name."
scene hospital_liam_neutral with dissolve
mc "I must find her so I can thank her for everything."
scene hospital_liam_talking_funny with dissolve
liam "You need to recover first buddy."
scene hospital_liam_glad with dissolve
liam "Remember, we're going to see ShitFaced on Friday. Haha."
mc "I think I've had enough headbanging as of lately."
scene hospital_liam_happy with dissolve
liam "Hahaha. Nice to see that he didn't smash the fun part of your brain."

play sound ("sound_effects/ep1/door_knock.mp3")
"{i}Door knocking{/i}"
drw "Mr [sname]?"
scene hospital_doctor_neutral with dissolve
drw "I'm your doctor, Dr Williams."
drw "The nurse told me you seemed responsive after awakening from the coma."
drw "That is very good to hear."
scene hospital_doctor_talking with dissolve
drw "You might be wondering why we put you into a coma in the first place?"
menu:
    "Yes":
        mc "Yes, could you please explain it to me?"
        drw "You received two heavy blows to your head. One to the back of your head and one to the front."
        drw "Initial CT scans indicated internal bleeding. As a precaution we put you in a comatose state to help you recover."
        drw "Letting you be conscious during the recovery process would potentially only make matters worse."
        mc "I see. Is my brain still bleeding?"
        drw "No, it is not. This morning we performed new scans that were negative for internal bleeding and showed signs of recovery."
        drw "That is why we made the decision to awaken you from your comatose state."
        mc "So I'm going to be fine then?"
        drw "Indeed. However, you may still suffer sustained effects from your concussion."
        drw "I'm advising you to stay here for a couple more days under observation."
        drw "Unless your injuries get worse during that time, you will be discharged."
        jump doctorLeft
    "Not really":
        mc "Not really. I just want to get out of here."
        drw "I see."
        drw "Well, you will be out of here soon enough. Due to your concussion we'll have to keep you under observation for a couple of more days before you can be discharged."
        jump doctorLeft
    "I think I already understand why":
        mc "I think I already understand why."
        drw "Well then, that's good to hear."
        drw "Due to your concussion we'll have to keep you under observation for a couple of more days before you can be discharged."
        jump doctorLeft

label doctorLeft:
scene hospital_liam_dr_happy with dissolve
liam "Haha. {i}Discharge{/i}."
scene hospital_doctor_annoyed with dissolve
drw "..."
drw "If there are no further questions, I'll be leaving."
mc "Thank you doctor."
scene hospital_doctor_neutral with dissolve
drw "Please call the nurse if you need anything."

scene hospital_liam_glad with dissolve
liam "Hey that's great news!"
mc "Yeah, I'm relieved."
scene hospital_liam_happy with dissolve
liam "Haha. {i}Discharge{/i}. That funny motherfucker."
mc "I don't think it was meant to be funny."
scene hospital_liam_glad with dissolve
liam "Anyway, it was great to see you alive buddy."
scene hospital_liam_talking_funny with dissolve
liam "I think I'll head off. It's been a long week and I need some rest too."
scene hospital_liam_neutral with dissolve
mc "I understand. Thanks for the support."
scene hospital_liam_glad with dissolve
liam "No sweat bro. Make sure that you get better now."
mc "Will do. See you later."
scene hospital_liam_happy with dissolve
liam "Later."

scene black with fade
$ renpy.pause(1)
scene hospital_bed_alone with fade
mc "(Wow, I must have slept for almost a day now.)"
mc "(I still feel really weak and my head aches.)"
mc "(My mouth is drier than a desert.)"

play sound ("sound_effects/ep1/door_knock.mp3")
"{i}Door knocking{/i}"
window hide
scene nurse_enters with fade
$ renpy.pause()
if renpy.loadable("extras.actinglessons.rpyc"):
    scene nurse_enters_extra at transformTop with fade
    $ renpy.pause()
scene nurse_neutral with fade
Nurse "Hi [name], how are you feeling?"
mc "Hi Mrs...?"
scene nurse_smile with dissolve
Nurse "Oh please, call me Leah."
leah "...and it is Ms."
mc "Got it."
scene nurse_talk with dissolve
leah "I'm on my way home, but wanted to check on you one more time before leaving."
leah "Can I get you anything?"
mc "I would like a glass of water, if you don't mind?"
scene nurse_neutral with dissolve
leah "Not at all. That's why I'm here. I'll go get it for you."

scene nurse_leaves with dissolve
$ renpy.pause()
menu:
    "{color=#4ee44e}Look closer":
        scene nurse_leaves_closeup with dissolve
        $ msgToDisplay = "Leah likes that."
        if hintsEnabled:
            show screen toprightmsg
        $ renpy.pause()
        hide screen toprightmsg
        $ RPleah += 1
        mc "(Does she know that her nipple is slightly visible?)"
        jump nurseLeft
    "{color=#949494}Don't look":
        jump nurseLeft

label nurseLeft:
scene hospital_bed_alone with dissolve
mc "(I wonder if Megan will come back to see me.)"
mc "(I hope she's all right.)"
mc "(Being held at gunpoint...that must have traumatized her.)"
mc "(If I only got a chance to relive that day...)"
mc "(I would have kicked that robber's ass.)"
mc "(...)"
mc "(...or gotten myself shot.)"

if actedDuringRobbery == True:
    if trippedRobber == True:
        mc "(I remember trying to trip the robber. If it was a fair fight, I'm sure I could have beaten him.)"
    else:
        mc "(I think I remember trying to stop the robbery. It's still a blur though.)"
else:
    mc "(Did I even try to defend Megan during the robbery? It's all so blurry.)"

leah "Here's your water [name]."
mc "(!!!)"
scene nurse_give_item with fade
mc "Oh, Leah! Thank you! Sorry, my mind was elsewhere."
scene nurse_talk with dissolve
leah "I imagine that you have a lot to think about lately."
scene nurse_neutral with dissolve
mc "Yeah, parts of the memories from the robbery are coming back to me. Albeit slowly."
scene nurse_talk with dissolve
leah "Don't rush it. Temporary memory loss is very common in cases like yours."
scene nurse_neutral with dissolve
mc "Thank you for the water."
scene nurse_smile with dissolve
leah "No problem. Is there something else I can do for you?"
menu:
    "{color=#949494}No thanks":
        mc "No thanks. You've done plenty already."
        leah "I'm glad to hear it."
        jump nurseLeft2
    "{color=#949494}Flip pillow":
        $ RPleah += 1
        mc "Would you mind flipping my pillow? I've worn this side down and it's starting to get uncomfortable."
        $ msgToDisplay = "Leah feels needed."
        if hintsEnabled:
            show screen toprightmsg
        leah "Sure thing."
        hide screen toprightmsg
        scene flip_pillow  with dissolve
        if renpy.loadable("extras.actinglessons.rpyc"):
            $ renpy.pause()
            scene flip_pillow2  with dissolve
        $ renpy.pause()
        scene nurse_smile with dissolve
        leah "There we go. You're all set."
        mc "Thanks! This side feels much better."
        jump nurseLeft2
    "{color=#949494}Untuck sheet":
        $ RPleah += 1
        mc "Would you mind untucking the sheet at my feet? It's starting to hurt a bit."
        $ msgToDisplay = "Leah feels needed."
        if hintsEnabled:
            show screen toprightmsg
        leah "Sure, sweetie. I don't like having the sheets tucked either."
        hide screen toprightmsg
        scene nurse_untuck with dissolve
        $ renpy.pause()
        scene nurse_smile with dissolve
        leah "Does that feel better?"
        mc "Very much so. Thank you!"
        jump nurseLeft2
    "{color=#4ee44e}Something to read" if wellReadTrait == True:
        $ RPleah += 2
        mc "Would you mind getting me something to read? It's mind-numbingly boring just lying here waiting to recover."
        $ msgToDisplay = "Leah feels needed."
        if hintsEnabled:
            show screen toprightmsg
        leah "Certainly."
        hide screen toprightmsg
        scene nurse_magazine with dissolve
        leah "I remember seeing a couple of magazines over here before."
        if renpy.loadable("extras.actinglessons.rpyc"):
            scene nurse_magazine2 with dissolve
            $ renpy.pause()
        scene nurse_give_item with dissolve
        leah "Here you go. Sorry, it's not much, but at least it's something to pass time with."
        scene nurse_smile with dissolve
        mc "Oh, \"Blabbermouth's Digest\"?"
        mc "Well, now I can catch up on the latest gossip."
        scene nurse_laugh with dissolve
        leah "Haha. Yes I fear you've been missing out."
        scene nurse_smile with dissolve
        jump nurseLeft2

label nurseLeft2:
mc "By the way, do you know the girl who left these flowers?"
scene hospital_flowers with dissolve
$ renpy.pause(0.5)
scene nurse_talk with dissolve
leah "Oh, yes. Such a sweet girl."
leah "She visited you a couple of times when you were in a coma."
scene nurse_think with dissolve
leah "But I haven't seen her for three or four days. I don't recall exactly."
scene nurse_neutral with dissolve
mc "Did you speak to her?"
scene nurse_talk with dissolve
leah "Only a little bit. I remember that she was worried about you and was asking Dr Williams about your health."
leah "Is she someone close to you?"
scene nurse_neutral with dissolve
mc "No, she isn't. In fact, we haven't even been introduced."
mc "I believe her name is Megan, based on the writing on the card."
mc "She's the clerk at the store that got robbed."
mc "I would like to get a hold of her and thank her for helping me."
scene nurse_talk with dissolve
leah "I see. Well if she comes in and you've already left I'll try to get you her information."
scene nurse_neutral with dissolve
mc "You would do that for me?"
scene nurse_smile with dissolve
leah "Of course. No trouble at all sweetie."
scene nurse_think with dissolve
leah "That reminds me. A policeman came by earlier. He wanted to see you."
scene nurse_neutral with dissolve
leah "I told him you were resting and couldn't be disturbed."
mc "I bet he wants to question me about the robbery."
scene nurse_talk with dissolve
leah "He did seem pretty eager to talk to you."
leah "I can call for him right away if you'd like?"
scene nurse_neutral with dissolve
mc "Yes, no point to drag it out."
scene nurse_smile with dissolve
leah "Ok, I'll do that. It shouldn't be too long."
leah "See you tomorrow [name]."

scene hospital_bed_alone with fade
mc "(I don't think I'll be able to remember all the details of the robbery.)"
mc "(I must still do my best to help them catch that bastard.)"
scene black with fade
"{i}After a while...{/i}"
play sound ("sound_effects/ep1/door_knock.mp3")
"{i}Door knocking{/i}"

scene hospital_police_enter with fade
$ renpy.pause(0.5)
scene hospital_police_walk with dissolve
$ renpy.pause(0.5)
scene hospital_police_sit_down with dissolve
$ renpy.pause(0.5)
scene hospital_police_talking with dissolve
pol "Mr [sname]?"
mc "That's me."
pol "Good day, Mr [sname], I am officer Michael Barkley."
michael "I'm here regarding the robbery that took place on April 5th."
michael "Are you feeling well enough to answer a couple of my questions?"
mc "I can try, but honestly the events are a little blurry."
michael "Please try your best to answer the questions as detailed as possible."
michael "Start from the beginning please."
michael "Retrace your steps from when you first entered the store."
label questioningFirst:
scene hospital_police_neutral
menu:
    "{color=#949494}I walked to the register...":
        mc "I think I walked directly to the register and talked to the clerk."
        scene store_first_memory with dissolve
        michael "Are you sure about this?"
        menu:
            "Yes":
                $wrongAnswerFirst = True
                mc "I'm sure that's what I did."
                scene hospital_police_talking
                $ msgToDisplay = "Michael is skeptical."
                if hintsEnabled:
                    show screen toprightmsg
                michael "I see. Next question."
                hide screen toprightmsg
                jump questioningSecond
            "Change answer":
                mc "No, wait that's not what happened."
                scene hospital_police_talking
                michael "Please try to focus."
                jump questioningFirst
    "{color=#4ee44e}I browsed the different aisles...":
        mc "I think I browsed the different aisles looking for food."
        scene store_first_memory2 with dissolve
        michael "Are you sure about this?"
        menu:
            "{color=#4ee44e}Yes":
                $ questioningPoints += 1
                $wrongAnswerFirst = False
                mc "I'm sure that's what I did."
                scene hospital_police_talking
                michael "I see. Next question."
                jump questioningSecond
            "{color=#949494}Change answer":
                mc "No, wait that's not what happened."
                scene hospital_police_talking
                michael "Please try to focus."
                jump questioningFirst

label questioningSecond:
michael "Do you recall when the robber entered the store?"
scene hospital_police_neutral
menu:
    "{color=#4ee44e}Before talking to the clerk":
        $ questioningPoints += 1
        $ wrongAnswerSecond = False
        if wrongAnswerFirst == False:
            mc "I heard someone enter the store when I was browsing the aisles."
        else:
            mc "Someone entered the store before I started talking to the clerk."
        scene robber_enter_store_memory with dissolve
        mc "I remember hearing the bell ring."
        scene hospital_police_talking
        michael "Hm... Ok. Next question."
        jump questioningThird
    "{color=#949494}When talking to the clerk":
        $ wrongAnswerSecond = True
        mc "The robber entered the store as I was talking to the clerk."
        scene robber_enter_store_memory with dissolve
        mc "I remember hearing the bell ring."
        scene hospital_police_talking
        $ msgToDisplay = "Michael is skeptical."
        if hintsEnabled:
            show screen toprightmsg
        michael "Hm... Ok. Next question."
        hide screen toprightmsg
        jump questioningThird

label questioningThird:
scene hospital_police_neutral
michael "What can you tell me about the robber?"
menu:
    "{color=#949494}I saw his shoes.":
        $ questioningPoints += 1
        mc "When I was lying on the ground, I remember seeing what shoes he wore."
        scene robbery_floor_memory with dissolve
        mc "They were brown boots. Very large too. About size 10 or 11 I'd say."
        scene hospital_police_talking
        michael "Interesting."
        jump questioningEvaluation
    "{color=#949494}I only heard his voice.":
        mc "I remember his voice. It was very deep and raspy."
        mc "He swore a lot."
        scene hospital_police_talking
        $ msgToDisplay = "Michael is not satisfied."
        if hintsEnabled:
            show screen toprightmsg
        michael "Interesting."
        hide screen toprightmsg
        jump questioningEvaluation
    "{color=#4ee44e}I saw his face." if trippedRobber == True:
        $ questioningPoints += 2
        mc "When I tried to trip the robber I caught a glimpse of his face."
        scene robbery_trip_memory with dissolve
        mc "He was balding and a combination of fat and muscular."
        mc "Like someone who used to workout a lot and then just quit."
        scene hospital_police_talking
        michael "Would you recognize him from a lineup?"
        mc "Maybe...I'm not sure."
        michael "Interesting."
        jump questioningEvaluation

label questioningEvaluation:
scene hospital_police_talking
michael "Well, Mr [sname]. Thank you very much for answering my questions."
if questioningPoints > 3 :
    michael "You did very well. Your statement matches that of other witnesses."
    scene hospital_police_glad
    michael "You've been extremely valuable to this investigation."
elif questioningPoints == 3:
    michael "You did very well. Your statement matches that of other witnesses."
    scene hospital_police_glad
    michael "You've been very valuable to this investigation."
elif questioningPoints == 2:
    michael "You did well. Your statement matches most of what other witnesses have told me."
    scene hospital_police_neutral
    michael "You've been valuable to this investigation."
else:
    michael "Your statement doesn't really match what other witnesses have told me."
    scene hospital_police_concerned
    michael "I'll have to investigate this further."

scene hospital_police_talking
michael "Thank you for your cooperation. Please give us a call if you can think of anything else."
mc "Will do. Thank you."
scene hospital_police_sit_down with dissolve
$ renpy.pause(0.5)
scene hospital_police_enter with dissolve
michael "Get well soon Mr [sname]."

scene hospital_bed_alone with dissolve
if questioningPoints > 2 :
    mc "(That went very well. I'm sure I helped them a lot in their investigation.)"
elif questioningPoints == 2:
    mc "(That went pretty good. I'm sure I helped them somewhat in their investigation.)"
else:
    mc "(That didn't go well at all. I probably didn't help them a lot in their investigation.)"
    mc "(I guess my memory is worse than I think.)"
mc "(I should get some more rest...)"
stop music fadeout 2
label ep1_leah:
if persistent.retroactive_unlock:
    jump unlockLabel2
if _in_replay:
    if persistent.name == None:
        $ name = "Jonas"
    else:
        $ name = persistent.name
scene black with fade
$ renpy.pause(0.5)

leah "[name]..."
leah "Wake up [name]..."
mc "..."
leah "[name]!"
scene leah_dream with fade
mc "Leah! What are you..."
scene leah_dream2 with dissolve
leah "Shh! I only want to make sure you recover sweetie."
scene leah_dream_touch_dick with hpunch
play music "music/ep1/some_obsession.mp3"
window hide
$ renpy.pause()
leah "Let me take care of you with my healing hands."
if renpy.loadable("extras.actinglessons.rpyc"):
    image anim_leah_hj = Movie(channel="anim_leah_hj", play="images/Extras/ep1/anim_leah_hj.webm")
    scene anim_leah_hj:
        size (config.screen_width, config.screen_height)
    pause
    scene leah_dream2 with dissolve
    leah "Do you like that?"
    mc "Oh Leah! Yes!"
    image anim_leah_hj = Movie(channel="anim_leah_hj", play="images/Extras/ep1/anim_leah_hj.webm")
    scene anim_leah_hj:
        size (config.screen_width, config.screen_height)
    pause
    scene leah_dream2 with dissolve
    leah "Well this won't do at all."
    leah "Your cock is all dry. I think I need to use my mouth."
    image anim_leah_bj = Movie(channel="anim_leah_bj", play="images/Extras/ep1/anim_leah_bj.webm")
    scene anim_leah_bj with fade:
        size (config.screen_width, config.screen_height)
    pause
    scene leah_dream2 with dissolve
    leah "I want you deep inside me [name]..."
    scene leah_dream_straddle1 with dissolve
    leah "Are you ready for me sweetie?"
    mc "Uh huh."
    scene leah_dream_straddle2 with dissolve
    leah "Fill me up with that big cock of yours!"
else:
    window hide
    scene still_leah_hj with dissolve
    $renpy.pause()
    scene still_leah_hj2 with dissolve
    $renpy.pause()
    scene still_leah_hj with dissolve
    $renpy.pause()
    scene still_leah_hj2 with dissolve
    $renpy.pause()
    scene still_leah_hj with dissolve
    $renpy.pause()
    scene leah_dream2 with dissolve
    leah "I want you deep inside me [name]..."
    scene leah_dream_straddle1 with dissolve
    leah "Are you ready for me sweetie?"
    mc "Uh huh."
    scene leah_dream_straddle2 with dissolve
    leah "Fill me up with that big cock of yours!"
stop music
$ persistent.ep1_leah = True
$ renpy.end_replay()
play sound ("sound_effects/ep1/hit.mp3")
scene hospital_bed_alone with hpunch
mc "(Whoa!)"
mc "(Fuck!!! What a vivid dream...)"
mc "(...)"
mc "(Damn she's hot...)"
scene black with fade
"{i}Later that day{/i}"
play music "music/ep1/water_lily.mp3"
scene hospital_doctor_neutral with fade
drw "Good news Mr [sname]. You seem to have recovered from your head injury and can be...erm...discharged."
mc "(Haha. Liam probably got to him.)"
scene hospital_doctor_talking with dissolve
mc "That's great news doctor. I feel much better. But I still have a slight headache."
drw "You should continue to rest when you get home. The headache will pass with time."
drw "Make sure to not strain yourself for a week or two. If at any point you start to feel worse, come back in and we'll do a checkup."
mc "Thank you doctor. I'm very grateful for your help."
mc "(Finally. I'm out of here.)"

scene discharged_liam_wave with fade
$ renpy.pause()
scene discharged_liam with dissolve
liam "Well look who it is! The warrior returns."
mc "Haha. Hey pal."
scene discharged_liam_hug with dissolve
$ renpy.pause(0.5)
scene discharged_liam_talk with dissolve
liam "Feeling better?"
scene discharged_liam_listen with dissolve
mc "Good enough to get out of here."
mc "Thanks for picking me up!"
scene discharged_liam_talk with dissolve
liam "No sweat. Heading straight home right?"
scene discharged_liam_listen with dissolve
mc "Actually, I'd like to see if Megan is back at work."
scene discharged_liam_talk with dissolve
liam "Of course. Let's bounce."

scene driving_from_hospital with fade
liam "Bet you can't wait to reunite with your pretty little savior huh?"
mc "I never said she was pretty...did I?"
scene driving_from_hospital2 with dissolve
liam "Nah, I just figured. For you to worry so much about a stranger..."
liam "...there must be something special about her right?"
menu:
    "{color=#4ee44e}She is pretty":
        $ RPliam += 1
        mc "Well, yeah you're right. She's very pretty."
        mc "But, I hardly know her. I just want to thank her and make sure she's all right."
        liam "I hear ya."
        jump leaveCar
    "{color=#4ee44e}She is special":
        $ RPliam += 1
        mc "Well, yes there's something special about her. I can't really wrap my head around it."
        mc "I think I must talk to her again to find out what it is."
        jump leaveCar
    "{color=#4ee44e}It is not like that":
        $ RPliam += 1
        mc "You've got it all wrong. It's nothing like that."
        mc "I only want to make sure that she's all right and thank her for helping me."
        liam "Right."
        jump leaveCar
    "{color=#949494}Shut up":
        mc "Shut up. You have no idea what you are talking about."
        $ msgToDisplay = "Liam was slightly offended."
        if hintsEnabled:
            show screen toprightmsg
        liam "Dude relax. I was only fucking with ya."
        hide screen toprightmsg
        jump leaveCar

label leaveCar:
scene store_outside_from_car with fade
liam "This the place?"
mc "Yeah."
liam "Hahaha. The fuck made you go in there in the first place?"
liam "What a total dump."
liam "Well, what are you waiting for? Go on inside."
mc "You're not coming with?"
liam "And spoil your reunion? Nah."

scene street_shop2 with fade
$ renpy.pause(0.5)
scene shop_entrance with dissolve
play sound "sound_effects/ep1/store_bell.mp3"
"{i}Ding ding{/i}"
mc "(Funny. That bell gives me the chills now.)"
mc "(It doesn't feel good to be back here.)"
mc "(Not that I really liked the store to begin with.)"

scene store_clerk_distance with dissolve
mc "(Wait, that's not Megan.)"
scene shop_look_around with dissolve
mc "(She's nowhere to be seen. Maybe she's not working today?)"

scene store_clerk_neutral with dissolve
mc "Excuse me."
Clerk "Yes?"
menu:
    "The other clerk":
        mc "I'm looking for the other clerk that works here. A young girl with long brown hair. Have you seen her?"
        scene store_clerk_smug with dissolve
        Clerk "There's no other clerk here. Just me."
        menu:
            "Doubt":
                mc "Are you sure? I believe her name is Megan."
                Clerk "My dad fired her, all right?"
                mc "What?"
                mc "Why did he do that?"
                Clerk "She gave away our money to a robber during a stickup. She didn't even press the silent alarm. So he fired her."
                jump payForNumber
            "Insist":
                mc "I think you're wrong. A girl named Megan works here."
                scene store_clerk_angry with dissolve
                Clerk "Are you calling me a liar?! No fucking girl named Megan works here anymore."
                Clerk "My dad fired her ass for giving away our money to a robber!"
                mc "He did what?!"
                Clerk "Get the fuck out of my store!"
                mc "Fine! Fuck you!"
                jump leftWithoutNumber
    "Megan":
        mc "I'm looking for Megan. Have you seen her?"
        Clerk "Who are you? Her boyfriend?"
        scene store_clerk_smug with dissolve
        menu:
            "Yes":
                mc "(Let's just roll with it.)"
                mc "Yes I'm her boyfriend. Have you seen her?"
                Clerk "No, I haven't. Not since my dad fired her for getting us robbed."
                mc "(They blamed her for that?!)"
                mc "Do you have a number I could reach her on?"
                Clerk "What kind of a boyfriend doesn't have his girlfriend's number?"
                scene store_clerk_angry with dissolve
                Clerk "You are a liar! Get the fuck out of my store."
                mc "(That didn't go as well as I imagined it to.)"
                jump leftWithoutNumber
            "An acquaintance":
                mc "No, I'm just someone looking for her."
                mc "She saved my life last week during the robbery."
                Clerk "Well, she doesn't work here anymore. My dad fired her."
                mc "He what?"
                Clerk "He FIRED her."
                mc "I mean, why did he do that?"
                Clerk "She gave away our money to the robber without even pressing the silent alarm."
                jump payForNumber
    "The robbery":
        mc "Hi, you don't know me but I was a victim at the robbery here last week."
        scene store_clerk_smug with dissolve
        Clerk "Right. What do you want?"
        menu:
            "Help me find Megan":
                mc "I'm looking for the clerk who worked here during the robbery. I believe her name is Megan."
                scene store_clerk_neutral with dissolve
                Clerk "Megan doesn't work here anymore. My dad fired her."
                mc "He what?"
                scene store_clerk_smug with dissolve
                Clerk "He FIRED her."
                mc "I mean, why did he do that?"
                Clerk "She gave away our money to the robber without even pressing the silent alarm."
                jump payForNumber
            "Sympathize with him":
                mc "I'm sorry for your losses. I'm sure you must feel terrible."
                scene store_clerk_neutral with dissolve
                Clerk "My dad lost a lot of money. It was very bad for our business."
                mc "I bet it was. It wasn't good for me either, I was hospitalized for over a week after the robbery."
                mc "It's not cheap to stay in a hospital bed for that long."
                scene store_clerk_angry with dissolve
                Clerk "And now you come here expecting us to pay for it!?"
                mc "No that wasn't what I..."
                Clerk "Then what the fuck you want?!"
                mc "I'm looking for this girl Megan who works here."
                Clerk "My dad fired her ass for getting us robbed!"
                mc "He did what?"
                Clerk "She gave away our money to the robber without even pressing the silent alarm."
                Clerk "...and now you come here to take what is left!? You beggar! Get the fuck out!"
                mc "What the fuck?!"
                Clerk "Get the fuck out or I'll call the police!"
                jump leftWithoutNumber

label payForNumber:
menu:
    "Please, help me find her.":
        scene store_clerk_neutral with dissolve
        mc "Could I have her phone number? I need to find her."
        Clerk "No. Sorry. Don't have it."
        mc "Please, I really need to contact her. I'm sure you have it here somewhere."
        scene store_clerk_smug with dissolve
        Clerk "\$100."
        mc "\$100? You want me to pay you \$100 for her number?"
        Clerk "Yes."
        "Pay him \$100?"
        menu:
            "Accept":
                mc "Fine, you win. Here. Now give me her number."
                scene store_clerk_paper with dissolve
                "The clerk writes on a piece of paper and hands it to you."
                "Take the number and..."
                menu:
                    "...leave.":
                        "You take the phone number and leave the store."
                        $ pissedOffTheClerk = False
                        jump leftWithNumber
                    "...tell him to fuck off.":
                        scene store_clerk_smug with dissolve
                        mc "You are a sad fucking piece of shit, you know that right?"
                        scene store_clerk_angry_grab with dissolve
                        if athleticTrait == True:
                            "The clerk tries to grab the number from you but you are too fast for him."
                            scene store_clerk_angry with dissolve
                            Clerk "Get the fuck out of my store!"
                            mc "Eat shit! Or worse, eat a vegan carrot you fucker!"
                            Clerk "Get out or I'll call the police!"
                            jump leftWithNumber
                        else:
                            "The clerk grabs the number and rips it to shreds in front of you."
                            scene store_clerk_angry with dissolve
                            Clerk "Get the fuck out of my store!"
                            mc "You fucker!"
                            Clerk "Get out or I'll call the police!"
                            jump leftWithoutNumber
            "Refuse":
                mc "Are you out of your mind? There is no way I'm paying you shit."
                scene store_clerk_angry with dissolve
                Clerk "Then no phone number for you. Get the fuck out of my store."
                mc "Eat shit! Or worse, eat a vegan carrot you fucker!"
                jump leftWithoutNumber
    "That wasn't her fault.":
        mc "That's irrational! The robbery wasn't her fault. She did call the police."
        scene store_clerk_angry with dissolve
        Clerk "She called the police too late. The money and the robber were already gone."
        mc "He can't fire her because of that!"
        Clerk "Get the fuck out of my store!"
        mc "Fine! Fuck you!"
        jump leftWithoutNumber

label leftWithNumber:
$ gotNumberByYourself = True
$ gotNumber = True
mc "(What a greedy fucker.)"
mc "(Well, at least I got the number from him.)"
scene store_outside_from_car with fade
liam "So how did it go? Did you find her?"
mc "No she was fired because of the robbery. The store owner blamed {b}her{/b} for losing their money."
liam "What? That's insane!"
mc "And his greedy-ass son made me pay \$100 to get her phone number."
liam "Did you?"
mc "Yeah I caved..."
liam "Damn... Well, you have her number now."
mc "Can you drive me home? My head started to ache."
liam "Sure...for \$100."
mc "Haha. You always know how to cheer me up."
jump homecoming

label leftWithoutNumber:
$ gotNumberByYourself = False
$ gotNumber = False
mc "(Fuck, I blew it. Now I have no way of contacting her.)"

scene store_outside_from_car with fade
liam "So how did it go? Did you find her?"
mc "No, apparently she was fired after the robbery."
mc "They blamed {b}her{/b} for getting robbed."
liam "What? That's insane!"
liam "Did you at least get her number?"
mc "No, I didn't. The clerk was totally unreasonable. I have no idea how to reach her now..."
liam "Wow, that really sucks."
mc "Yeah. Can you drive me home? My head started to ache."
if RPliam > 1:
    $ gotNumber = True
    $ msgToDisplay = "Liam feels for you."
    if hintsEnabled:
        show screen toprightmsg
    liam "Nah. Wait here."
    hide screen toprightmsg
    scene liam_enters_store with dissolve
    mc "Liam, what are you doing?!"
    scene wait_for_liam_store with dissolve
    mc "(What is he thinking? Is he really going in there to confront the clerk?)"
    "{i}A couple of minutes pass.{/i}"
    scene liam_exits_store with dissolve
    $ renpy.pause(0.5)
    scene store_outside_from_car with fade
    liam "Here you go."
    mc "Don't tell me this is her number?"
    liam "Well it better be or that fucker will be sorry."
    mc "Liam, what did you do? Are you going to get in trouble for this?"
    liam "Nah. Don't worry. I handled it."
    liam "Let's bounce."
    mc "...thank you so much."
else:
    $ gotNumber = False
    liam "You've got it."
jump homecoming

label homecoming:
stop music fadeout 6
scene homecoming_house with fade
$renpy.pause()
scene liam_homecoming_talk with dissolve
liam "You sure you're all right by yourself now?"
scene liam_homecoming_smile with dissolve
mc "I'll manage. Thank you for everything."
scene liam_homecoming_talk with dissolve
liam "No sweat. Oh yeah, before I forget, I stocked up your fridge so you don't starve to death."
scene liam_homecoming_smile with dissolve
mc "You did? I cannot believe it. Or I mean I can. You truly are an amazing friend."
if RPliam > 1:
    liam "Right back at you [name]."

scene liam_homecoming_talk with dissolve
liam "Rest up and don't be a stranger."
mc "Hey Liam..."
menu:
    "{color=#949494}Offer money as thanks":
        mc "...I want you to have this."
        scene liam_homecoming_surprised with dissolve
        liam "Hey [name], I appreciate it but you don't have to pay me."
        mc "Stop it, I want you to have it. You have been a wonderful friend during this ordeal and this is the least I can do for you."
        if RPliam > 1:
            scene liam_homecoming_smile with dissolve
            $ msgToDisplay = "Liam appreciates your gesture."
            if hintsEnabled:
                show screen toprightmsg
            liam "...thanks pal. You really didn't have to, but I appreciate it!"
            hide screen toprightmsg
            $ RPliam += 1
            jump homecoming2
        else:
            $ msgToDisplay = "Liam doesn't appreciate your gesture."
            if hintsEnabled:
                show screen toprightmsg
            liam "No thanks man. All I want is your friendship."
            hide screen toprightmsg
            mc "You've got it."
            jump homecoming2
    "{color=#4ee44e}Thank him sincerely":
        if RPliam > 1:
            $ RPliam += 1
        else:
            $ RPliam += 2
        mc "...seriously, thank you for being here for me. You know I'm there for you too whenever you need it?"
        scene liam_homecoming_talk with dissolve
        liam "Hey [name], don't make me feel weird. You know I'm not good with that emotional shit."
        scene liam_homecoming_smile with dissolve
        $ msgToDisplay = "Liam is glad."
        if hintsEnabled:
            show screen toprightmsg
        liam "...but, I do appreciate it!"
        hide screen toprightmsg
        jump homecoming2
    "{color=#949494}Joke around":
        $ RPliam += 1
        mc "...so ShitFaced on Friday right?"
        scene liam_homecoming_smile with dissolve
        $ msgToDisplay = "Liam is glad."
        if hintsEnabled:
            show screen toprightmsg
        liam "Haha. Don't worry, we'll get shitfaced together someday soon."
        hide screen toprightmsg
        jump homecoming2

label homecoming2:
play music "music/ep1/scrapbook.mp3"
scene home_livingroom with fade
mc "(It feels so nice to be home. It's like I haven't been home in ages.)"
$ checkFridge = True
$ checkCrypto = True
label loopStartHomecoming:
mc "(What should I do?)"
menu:
    "Check fridge." if checkFridge:
        $checkFridge = False
        scene home_kitchen_fridge with dissolve
        mc "(Wow, Liam really did me a favor. Look at all that delicious food.)"
        mc "(I'm not hungry right now though, but it is great to know that I have something to eat at home.)"
        scene home_livingroom with dissolve
        jump loopStartHomecoming
    "Check on cryptocurrencies." if checkCrypto:
        $checkCrypto = False
        scene home_computer with dissolve
        mc "(No surprises here...)"
        mc "(Being unconscious doesn't make the market turn around.)"
        mc "(I should probably accumulate some more tokens while it's down.)"
        mc "(Let's buy more CCPX, I really think it will be worthwhile possessing a supernode once they launch their mainnet in 2019.)"
        scene home_livingroom with dissolve
        jump loopStartHomecoming
    "Nothing. Just rest.":
        jump restHomecoming

label restHomecoming:
scene bed_morning with fade
mc "(Resting sucks.)"
mc "(I can't sleep at all with this headache. Will it ever end?)"
mc "(...)"
if gotNumber == True:
    mc "(I could try calling Megan.)"
    mc "(Where did I put that number?)"
    mc "(Don't tell me I lost it?)"
    mc "(No, here it is! Phew!)"
    scene home_phone_call with dissolve
    "{i}Dial tone{/i}"
    mc "(Come on, please pick up.)"
    uk "Hello?"
    mc "Hi! Is this Megan?"
    uk "Megan? No this is Lynette. There is no Megan here."
    mc "Oh. I think I must have gotten the wrong number then."
    "{i}Phone clicks{/i}"
    scene home_livingroom with dissolve
    mc "(Seriously!? Wrong number?)"
    if gotNumberByYourself == True:
        mc "(I can't believe it! I actually paid $100 for this shit?!)"
    else:
        mc "(I can't believe it! Liam went through all that trouble for this shit?!)"
    mc "(That fucking clerk!)"
    mc "(Now I am back to square one.)"
else:
    mc "(If I had Megan's number I could have called her right now.)"
    scene home_livingroom with dissolve

mc "(What can I do? Check the phone book?)"
mc "(I bet there are thousands of Megans in this town alone.)"
mc "(She might not even be listed.)"
mc "(Maybe I'm not meant to see her again.)"
mc "(...)"
scene home_livingroom with hpunch
mc "(Aargh! This headache sucks.)"
mc "(I'm feeling a bit queasy.)"
mc "(I better take some painkillers and lie down before it gets any worse.)"

scene black with fade
mc "(...)"
scene bed_morning2 with fade
mc "(It was hard but eventually I got to sleep.)"
mc "(I still feel ill.)"
scene bed_morning with dissolve
mc "(The doctor told me to return if I felt worse. Better to be safe than sorry and take his advice.)"
scene home_going_to_shower with dissolve
mc "(I need to take a shower first. I absolutely reek.)"
scene home_bathroom with fade
$ renpy.pause()
scene home_shower_alone with dissolve
if gotNumber == True:
    if gotNumberByYourself:
        mc "(I still can't believe the clerk fucked me over.)"
        mc "(I hope they go out of business.)"
    else:
        mc "(I could have figured that the number was fake.)"
        mc "(I wonder how Liam will react if I tell him he was given a fake number.)"
        mc "(I probably shouldn't tell him.)"
        mc "(That fucking clerk.)"
        mc "(I hope they go out of business.)"
else:
    mc "(I hope that store goes out of business...)"
mc "(Firing Megan and blaming the robbery on her. Unbelievable."
scene home_kitchen with fade
mc "(Good to go. The breakfast was really good.)"
mc "(Liam really outdid himself. I should text him.)"
menu:
    "{color=#4ee44e}Text him":
        $ msgToDisplay = "Liam appreciates your text."
        if hintsEnabled:
            show screen toprightmsg
        mc "\"{i}Hey pal. Thanks again for the food. Breakfast was much better than hospital food.{/i}\""
        hide screen toprightmsg
        $ RPliam += 2
        jump goToHospital
    "{color=#949494}Don't text him":
        mc "(Nah, I have probably bothered him enough.)"
        jump goToHospital

label goToHospital:
mc "(Now let's get that checkup Dr Williams talked about.)"
mc "(I've had it with this headache.)"

scene checkup_doctor_neutral with fade
drw "From what I gather, you are still getting better. However, you are probably not resting enough."
drw "That's likely why you are feeling worse. I can't really help you further."
drw "I'm afraid rest and hydration are the only cures."
mc "Really doctor? Can I at least get something stronger for the pain?"
mc "I could barely sleep last night."
scene checkup_doctor_concerned with dissolve
drw "I guess I can prescribe you some stronger painkillers to help you sleep better."
mc "Thank you doctor. That would be great."
scene checkup_doctor_neutral
drw "Please wait here, while I get your prescription."

scene checkup_alone with fade
mc "(Well, I guess that's good news even though I feel like shit.)"
leah "[name]?"
scene checkup_nurse_smile with dissolve
mc "Leah!"
scene checkup_nurse_concerned with dissolve
leah "Are you already feeling worse?"
mc "I'm afraid so. Thankfully, Dr Williams is getting me stronger medication."
scene checkup_nurse_smile with dissolve
leah "That is good to hear."
scene checkup_nurse_talk with dissolve
leah "Also, I'm very lucky to find you here today!"
mc "Oh really? How come?"
scene checkup_nurse_smile with dissolve
leah "Remember that girl you were asking about?"
mc "Oh! Megan you mean?"
scene checkup_nurse_talk with dissolve
leah "Yes. She stopped by yesterday, not long after you went home."
leah "She wanted to see if you were feeling better and was happy to hear that you were up and about."
scene checkup_nurse_smile with dissolve
mc "What a coincidence! I was looking for a way to contact her yesterday."
mc "Sadly without any luck."
mc "Please tell me she left an address or a number that I can reach her on?"
scene checkup_nurse_talk with dissolve
leah "I got her phone number right here. Here you go."
menu:
    "{color=#4ee44e}Kiss her on mouth" if charismaticTrait == True:
        mc "Oh thank you so much!!"
        scene checkup_nurse_prepare with dissolve
        $ renpy.pause(0.5)
        scene checkup_nurse_kiss_mouth with dissolve
        $ renpy.pause()
        scene checkup_nurse_allure with dissolve
        $ msgToDisplay = "Leah will remember that."
        if hintsEnabled:
            show screen toprightmsg
        leah "Oh, wow I didn't expect that."
        hide screen toprightmsg
        $ RPleah += 6
        $ kissedLeah = True
        jump checkupLeahCont
    "{color=#949494}Kiss her on cheek":
        mc "Oh thank you so much!!"
        scene checkup_nurse_prepare with dissolve
        $ renpy.pause(0.5)
        scene checkup_nurse_kiss_cheek with dissolve
        $ renpy.pause()
        scene checkup_nurse_allure with dissolve
        $ msgToDisplay = "Leah likes that a lot."
        if hintsEnabled:
            show screen toprightmsg
        leah "Oh, I didn't expect that."
        hide screen toprightmsg
        $ RPleah += 5
        jump checkupLeahCont
    "{color=#949494}Hug her":
        mc "Oh thank you so much!!"
        scene checkup_nurse_prepare with dissolve
        $ renpy.pause(0.5)
        scene checkup_nurse_hug with dissolve
        $ renpy.pause()
        scene checkup_nurse_talk with dissolve
        $ msgToDisplay = "Leah likes that."
        if hintsEnabled:
            show screen toprightmsg
        leah "Oh, you are welcome sweetie."
        hide screen toprightmsg
        $ RPleah += 4
        jump checkupLeahCont
    "{color=#949494}Thank her":
        mc "Thank you so much! How can I repay you?"
        scene checkup_nurse_smile with dissolve
        $ msgToDisplay = "Leah appreciates that."
        if hintsEnabled:
            show screen toprightmsg
        leah "Oh sweetie, you don't have to repay me."
        hide screen toprightmsg
        mc "Well, thank you once again. Really! Thanks!"
        $ RPleah += 2
        jump checkupLeahCont

label checkupLeahCont:
    scene checkup_nurse_smile with dissolve
if RPleah > 7:
    leah "Well...I better go back to work now. You should come see me again sometime. Bye."
elif RPleah > 5:
    leah "Well...I better go back to work now. Hope I'll be seeing you around."
else:
    leah "I better go back to work now. Take care."

mc "Bye Leah!"

scene checkup_alone with dissolve
mc "(I'm not wasting anymore time. I'm calling her right now.)"
"{i}Dial tone{/i}"
mc "(Please, let this be the correct number.)"
scene checkup_megan_call with dissolve
me "Hello?"
scene checkup_alone with dissolve

if charismaticTrait == True:
    mc "Hi! Megan right? This is [name]."
    scene checkup_megan_smile with dissolve
    me "Oh [name]. So nice to hear from you."
    me "I heard you went home from the hospital."
else:
    mc "Hi is this Megan?"
    scene checkup_megan_call with dissolve
    me "Who's calling please?"
    scene checkup_alone with dissolve
    mc "My name is [name]. We met last week during...well..."
    scene checkup_megan_smile with dissolve
    me "Oh [name]. Of course!"
    me "I heard you went home from the hospital."

scene checkup_alone with dissolve
mc "(It really is her.)"
mc "Yes that's true. I heard you came and visited me when..."
scene checkup_doctor_angry
drw "Mr [sname]! Please hang up your phone!"
drw "Didn't you see the signs? Cell phones are strictly prohibited in this hospital wing!"
mc "Shit!"
scene checkup_megan_call with dissolve
me "'scuse me?"
scene checkup_alone with dissolve
mc "Sorry Megan not you! I have to hang up."
mc "Can I meet you somewhere where we can talk in person?"
scene checkup_megan_talk with dissolve
me "Do you know the picnic spot in Haven park?"
scene checkup_doctor_angry with dissolve
scene checkup_doctor_angry with hpunch
drw "Mr [sname]!!!"
scene checkup_alone with dissolve
mc "Yes I know it. Meet me there in 15 minutes?"
scene checkup_megan_smile with dissolve
me "That works for me."
scene checkup_alone with dissolve
mc "Great, bye!"
"{i}Phone clicks{/i}"

scene checkup_doctor_angry_less with dissolve
mc "I'm very sorry doctor. It was an important call."
drw "Hmph... Here is your prescription. Pay Maggie on the way out."
mc "Thank you!"
stop music fadeout 6
scene shop_street_walk4 with fade
mc "(I'm finally going to meet Megan again.)"
mc "(What am I going to say to her?)"
mc "(Obviously I'm going to thank her for saving me.)"
mc "(And for the flowers and visits.)"
scene shop_street_walk3 with fade
play music "music/ep1/loving_light.mp3"
mc "(I wonder how she's been since the robbery.)"
if charismaticTrait == True:
    mc "(It's probably an emotional topic. I must be delicate when approaching it.)"
scene haven_park_alone with fade
mc "(Ok, I'm here. Now to find Megan.)"
scene haven_park_alone2 with dissolve
mc "(I can't see her anywhere.)"
mc "(Oh, there she is!)"
mc "(She's even prettier than what I remembered.)"

window hide
if renpy.loadable("extras.actinglessons.rpyc"):
    scene megan_park_extra at transformTop
    $ renpy.pause()
$ attemptedKiss = False
label haven_megan_second_conv:
scene haven_megan_smile with dissolve
me "Hi [name]!"
menu:
    "{color=#949494}Handshake":
        $ msgToDisplay = "Megan enjoyed that."
        $ RPmegan += 1
        scene haven_megan_handshake with dissolve
        if hintsEnabled:
            show screen toprightmsg
        $ renpy.pause ()
        hide screen toprightmsg
        jump havenConversation
    "{color=#949494}Hug":
        $ RPmegan += 2
        scene haven_megan_hug with dissolve
        $ renpy.pause ()
        scene haven_megan_hug2 with dissolve
        $ msgToDisplay = "Megan liked that."
        if hintsEnabled:
            show screen toprightmsg
        $ renpy.pause ()
        hide screen toprightmsg
        jump havenConversation
    "{color=#4ee44e}Kiss on cheek" if charismaticTrait == True:
        scene haven_megan_kiss with dissolve
        $ renpy.pause ()
        me "!!!"
        scene haven_megan_kiss2 with dissolve
        $ renpy.pause()
        scene haven_megan_shy_flirt with dissolve
        $ msgToDisplay = "Megan really liked that."
        if hintsEnabled:
            show screen toprightmsg
        me "(Oh! That was nice.)"
        hide screen toprightmsg
        $ RPmegan += 2
        jump havenConversation
    "{color=#949494}Kiss on mouth" if attemptedKiss == False:
        $ attemptedKiss = True
        scene haven_megan_kiss with dissolve
        $ renpy.pause ()
        scene haven_megan_kiss
        me "!!!"
        scene haven_megan_punch_prepare
        me "Hey, what the fuck?!"
        play sound "sound_effects/ep1/hit.mp3"
        scene haven_megan_punch with hpunch
        scene black
        $ msgToDisplay = "Megan won't remember that."
        if hintsEnabled:
            show screen toprightmsg
        mc "Wait...I'm mixing things up. That's not what happened."
        hide screen toprightmsg
        jump haven_megan_second_conv

label havenConversation:
scene haven_megan_smile with dissolve
mc "Hi Megan! It's so good to see you again."

$ havenAsk = True
$ havenThank = True
$ havenRobbery = True

label havenConversationLoop:
if havenAsk == False and havenThank == False and havenRobbery == False:
    jump havenContinueConversation
scene haven_megan_neutral with dissolve
menu:
    "Ask how she's been" if havenAsk == True:
        $ havenAsk = False
        mc "How've you been? Are you all right?"
        scene haven_megan_think2 with dissolve
        me "It's been a tough week..."
        scene haven_megan_think
        me "...but I'm fine."
        menu:
            "{color=#4ee44e}Glad to hear it":
                $ RPmegan += 1
                scene haven_megan_neutral with dissolve
                mc "I'm glad to hear you're ok."
                me "That's the question I get asked by everyone lately."
                mc "I bet you're sick of hearing it."
                scene haven_megan_smile with dissolve
                me "Haha. Yup, very much so."
                scene haven_megan_talk
                me "I just want to forget these last couple of weeks you know?"
                scene haven_megan_neutral with dissolve
                $ msgToDisplay = "Megan appreciates your concern."
                if hintsEnabled:
                    show screen toprightmsg
                me "...or at least forget as much as possible."
                hide screen toprightmsg
                jump havenConversationLoop
            "{color=#949494}Doubt her":
                scene haven_megan_shocked with dissolve
                mc "I don't believe you really are fine after all that has happened?"
                scene haven_megan_think_sad
                me "Well, of course I'm not really \"{i}fine{/i}\"."
                me "It is just something you say to make others feel better."
                scene haven_megan_angry
                me "It's been horrible. Is that what you wanted to hear?"
                mc "I'm sorry. I didn't mean it that way."
                scene haven_megan_uncomfortable with dissolve
                me "It's ok. Everyone just keeps asking me if I'm fine all the time."
                scene haven_megan_neutral with dissolve
                $ msgToDisplay = "Megan is uncomfortable."
                if hintsEnabled:
                    show screen toprightmsg
                me "It makes it hard when I'm trying to forget it all you know?"
                hide screen toprightmsg
                jump havenConversationLoop
            "{color=#4ee44e}I was worried":
                $ RPmegan += 1
                scene haven_megan_neutral with dissolve
                mc "I was worried about you. In fact, it's all that's been on my mind lately."
                scene haven_megan_smile with dissolve
                me "That's very sweet of you."
                me "I was worried about you too."
                scene haven_megan_happy with dissolve
                me "Which is quite weird because we don't even know each other."
                scene haven_megan_smile with dissolve
                mc "Yeah I know. We haven't even been properly introduced but already have quite the history behind us."
                scene haven_megan_think_sad with dissolve
                $ msgToDisplay = "Megan appreciates your concern."
                if hintsEnabled:
                    show screen toprightmsg
                me "No offense, but I'm trying hard to forget that piece of history."
                hide screen toprightmsg
                jump havenConversationLoop

    "Thank her" if havenThank == True:
        $ havenThank = False
        mc "I've been wanting to thank you for everything you've done for me."
        mc "You saved my life."
        scene haven_megan_smile with dissolve
        me "Oh stop it..."
        scene haven_megan_think with dissolve
        me "I only acted out of instinct. I didn't really get the chance to think straight."
        scene haven_megan_think_sad with dissolve
        me "I was shaking from the adrenaline high for the rest of that day."
        menu:
            "{color=#4ee44e}Comfort her":
                $ RPmegan += 1
                mc "That must have been so tough on you."
                mc "I'm so happy you weren't hurt physically."
                scene haven_megan_shy_flirt with dissolve
                $ msgToDisplay = "Megan appreciates that."
                if hintsEnabled:
                    show screen toprightmsg
                me "Mhm, that was really lucky."
                hide screen toprightmsg
                jump havenConversationLoop
            "{color=#4ee44e}Praise her actions":
                $ RPmegan += 1
                mc "Well your instincts are impeccable. They saved my life and kept you safe as well."
                scene haven_megan_think2 with dissolve
                $ msgToDisplay = "Megan feels flattered."
                if hintsEnabled:
                    show screen toprightmsg
                me "Well, instincts are instincts. I couldn't really control what I did."
                hide screen toprightmsg
                jump havenConversationLoop
            "{color=#949494}Thank her for flowers":
                mc "Thank you for the flowers! They were beautiful."
                scene haven_megan_talk with dissolve
                $ msgToDisplay = "Megan thinks your response was weird."
                if hintsEnabled:
                    show screen toprightmsg
                me "Yeah...No problem."
                hide screen toprightmsg
                mc "(Did I just change the subject when she opened up to me?)"
                scene haven_megan_neutral with dissolve
                me "I'm glad you liked them."
                jump havenConversationLoop
    "Talk about robbery" if havenRobbery == True:
        $ havenRobbery = False
        scene haven_megan_neutral with dissolve
        mc "..."
        mc "Can we talk about the elephant in the room?"
        scene haven_megan_smile with dissolve
        me "...{i}park{/i} you mean?"
        mc "Haha yes..."
        scene haven_megan_neutral with dissolve
        me "The robbery...?"
        mc "Yes."
        scene haven_megan_think_sad with dissolve
        me "That was the scariest thing that has happened to me in my entire life."
        mc "I was scared too. I don't remember everything from it, but I know I heard gunshots."
        scene haven_megan_uncomfortable with dissolve
        me "He shot so close to me."
        me "My ears just kept ringing."
        mc "My god! I don't want to think of what could've happened."
        if trippedRobber == True:
            scene haven_megan_think2 with dissolve
            $ RPmegan += 1
            me "I can't believe how brave you were!"
            scene haven_megan_think with dissolve
            me "You actually tried to fight him from the floor!"
            mc "I just wish I could have been of more help to you."
            scene haven_megan_smile with dissolve
            me "Well, I'm glad you did something."
        elif actedDuringRobbery == True:
            scene haven_megan_think2 with dissolve
            $ RPmegan += 1
            scene haven_megan_think with dissolve
            me "By the way, thanks for trying to help."
            me "Even though you were lying there on the floor."
            mc "I just wish I could have done more to help."
            scene haven_megan_smile with dissolve
            me "Well, at least you did something."

        scene haven_megan_think_sad with dissolve
        me "I really hope the police find him."
        me "They grilled me about the robbery and I didn't really know what to say."
        me "I don't know if I helped them at all."
        mc "I'm sure you did the best you could to describe him for them."
        mc "An officer visited me at the hospital and asked me a bunch of questions too..."
        if questioningPoints > 3:
            $ RPmegan += 3
            mc "...and I managed to describe the robber very well."
            mc "I'm sure they'll be able to find him thanks to our testimonies combined."
            scene haven_megan_happy with dissolve
            me "That feels very comforting to hear."
        elif questioningPoints > 2 :
            $ RPmegan += 2
            mc "...and I gave him a very good statement."
            mc "I'm sure they'll be able to find him thanks to our testimonies combined."
            scene haven_megan_happy with dissolve
            me "That feels very comforting to hear."
        elif questioningPoints == 2 :
            $ RPmegan += 1
            mc "...and I gave him a good statement."
            mc "I'm sure it will be of use to them when searching for him."
            scene haven_megan_happy with dissolve
            me "That feels comforting to hear."
        else:
            mc "...I didn't really know what to tell him."
            mc "My memory is too blurry to recall any specific details."
            scene haven_megan_think_sad with dissolve
            me "That doesn't sound comforting at all."
            mc "...yeah. I hope yours and other witnesses testimonies are enough to find him."
        jump havenConversationLoop

label havenContinueConversation:
scene haven_megan_neutral
mc "I don't really know how to address this, but I tried to find you at the store after being released from the hospital..."
scene haven_megan_shocked with dissolve
mc "...and they told me that you were fired."
scene haven_megan_angry with dissolve
me "Yeah, my boss fired me the day after the robbery."
me "He told me that I didn't follow the \"proper protocol\" when being robbed."
scene haven_megan_shocked with dissolve
me "Can you believe that? He blamed me for everything!"
mc "I know, I was speechless when I heard it."
mc "I think you can take it to court. I'm sure it's not legal to fire someone on those grounds."
scene haven_megan_think_sad with dissolve
me "I probably could, but I have no money to cover for it."
me "Truth be told, I barely have enough to survive another week."
me "I'm already behind on rent and my landlord said he'll evict me if I can't pay."
mc "That's horrible!"
scene haven_megan_uncomfortable with dissolve
me "I'll probably have to move all the way back home to my parents."
me "It's so humiliating."
mc "Can't you get another job?"
scene haven_megan_think_sad with dissolve
me "I've already contacted a few other places that are hiring, but so far no one will hire me without a recommendation."
me "Which I'm likely not getting from my last boss."
mc "..."
scene haven_megan_uncomfortable with dissolve
me "This is not how it was supposed to be you know?"
mc "What do you mean?"
me "I moved here to pursue an acting career."
scene haven_megan_think_sad with dissolve
me "I only took the job as a clerk to pay for rent and my acting classes."
mc "Oh, so you're really an actress?"
scene haven_megan_think2 with dissolve
me "More like an aspiring actress, I guess."
me "I've only done a handful of smaller plays back home."
mc "(I think Ana still works in the movie industry.)"
mc "(But it will be a cold day in hell before I'd contact her again...)"
scene haven_megan_smile with dissolve
me "Sorry...I feel like you've listened to enough of my problems."

menu:
    "{color=#4ee44e}I don't mind":
        mc "Megan, I don't mind. We all need to vent sometimes."
        $ RPmegan += 1
        if wellReadTrait == True:
            $ RPmegan += 1
            mc "\"Life is tough my darling, but so are you.\""
            scene haven_megan_neutral with dissolve
            $ msgToDisplay = "Megan finds you poetic."
            if hintsEnabled:
                show screen toprightmsg
            me "That's a nice saying."
            hide screen toprightmsg
            mc "I thought it was fitting."
        jump havenProposition
    "{color=#949494}I'm so sorry":
        $ RPmegan += 1
        scene haven_megan_think_sad with dissolve
        $ msgToDisplay = "Megan appreciates your concern."
        if hintsEnabled:
            show screen toprightmsg
        mc "I feel so sorry for you Megan. This shouldn't have to be a life experience for any young girl."
        hide screen toprightmsg
        jump havenProposition
    "{color=#949494}Stay positive":
        mc "Well, I'm sure your luck will change eventually. Change isn't always bad right?"
        scene haven_megan_think_sad with dissolve
        $ msgToDisplay = "Megan is worried."
        if hintsEnabled:
            show screen toprightmsg
        me "I guess, change can be good sometimes. But not like this."
        hide screen toprightmsg
        jump havenProposition

label havenProposition:
menu:
    "{color=#4ee44e}Offer to help":
        $ offeredToHelp = True
        jump offeredToHelp
    "{color=#949494}Don't offer to help":
        jump havenConclusion
label offeredToHelp:
mc "This might seem like a weird proposition, but please hear me out."
menu:
    "{color=#949494}I have a lot of money":
        mc "I happen to have a lot of money and..."
        jump propositionSecond
    "{color=#949494}Money is not a problem for me":
        mc "You see, money is not a problem for me and..."
        jump propositionSecond
    "{color=#4ee44e}I have the means to help you":
        $ msgToDisplay = "Megan appreciates your modesty."
        if hintsEnabled:
            show screen toprightmsg
        mc "Megan, I would like to help you. I have the means for it and..."
        hide screen toprightmsg
        $ RPmegan += 1
        jump propositionSecond

label propositionSecond:
menu:
    "Pay her rent":
        $ offerMoney = True
        mc "...I would like to pay for your rent and expenses while you find a new job."
        mc "That way you wouldn't have to move back home to your parents.."
        scene haven_megan_shocked with dissolve
        me "There's no way that I'd let you do that [name]."
        me "That's way too much money! I could never pay you back."
        mc "I don't need you to pay me back. Besides I'm the one who owes you for saving my life."
        mc "Let me do this for you as a thank you."
        mc "So what do you sa...y..."
        jump havenConclusion
    "Stay at my place":
        $ offerHouse = True
        mc "...if you want to you can always come live with me until luck changes your way."
        mc "You don't have to worry about paying rent or food."
        mc "Also, you'll have all the time in the world for pursuing your acting career."
        scene haven_megan_shocked with dissolve
        me "Wow [name], there is no way I could impose on you like that."
        me "I'd just be in your way and feel like a parasite."
        mc "Please Megan. I could use the company and you can always move out at any time you'd want."
        mc "So what do you sa...y..."
        jump havenConclusion
    "Hire her as a personal assistant":
        $ offerJob = True
        mc "...I could use an assistant to help me handle my documents and household chores."
        mc "That way I could pay you enough for rent and acting lessons."
        scene haven_megan_think_sad with dissolve
        me "I don't know [name], wouldn't it be weird to have me do your chores?"
        mc "I don't think it would be weird at all. I think it's a win-win situation."
        mc "So what do you sa...y..."
        jump havenConclusion

label havenConclusion:
scene haven_megan_neutral with dissolve
mc "Aargh!!"
scene haven_megan_shocked with hpunch
$ renpy.pause(0.5)
scene black with fade
me "[name]!"
scene haven_megan_legs_concussion with fade
me "[name] are you ok?"
scene black with fade
scene haven_megan_legs_concussion with fade
mc "..."
mc "Sorry, Megan. It's my concussion. I think I need to go home and rest."
me "I'll help get you home. Where do you live?"
mc "Oh it's very close by."
scene haven_megan_legs_concussion_help with dissolve
me "Here, put your arm around me."
scene haven_megan_arm_around with dissolve
me "Yeah, that's it."

scene haven_megan_walk_home with fade
mc "I'm not too heavy for you right?"
me "Haha. You're pretty much walking by yourself now."
me "I'm only helping you keep balance."
if charismaticTrait == True:
    mc "Right now I have the balance of a toddler."
    me "Hahah. I've never seen a toddler this big though."
    $ RPmegan += 1
mc "(Her touch is so soft and gentle.)"
mc "(She smells great too...)"
mc "We're almost there. My house is just around the bend."

scene homecoming_house with fade
mc "This is it."
scene home_livingroom_megan_arm_around with fade
mc "Thank you so much for your help. I think I'll manage on my own now."
scene home_livingroom_megan_concerned with dissolve
me "You sure? You don't look too good. Your face is so pale."
scene home_livingroom_painkillers with dissolve
mc "Don't worry. I'll take a couple of painkillers that Dr Williams prescribed for me."
scene home_livingroom_painkillers2 with dissolve
mc "I'll be better off after getting some rest, I think."
scene home_livingroom_megan_concerned with dissolve
me "Come, let me help you get into bed."
scene home_bed_megan_stand_bent_over with fade
$ renpy.pause()
scene home_bed_megan_stand_bent_over2 with dissolve
me "There. All set."
menu:
    "{color=#4ee44e}Check her out":
        scene home_bed_megan_stand_bent_over_closer with dissolve
        $ msgToDisplay = "Megan didn't notice that."
        if hintsEnabled:
            show screen toprightmsg
        $ renpy.pause()
        hide screen toprightmsg
        jump homeBedSick
    "{color=#949494}Don't risk it":
        jump homeBedSick

label homeBedSick:
scene home_bed_megan_stand_bent_over with dissolve
stop music fadeout 10
mc "Thank you for helping me get home Megan."
scene home_bed_megan_stand_bent_over2 with dissolve
me "Of course. I couldn't leave you in the park now could I?"
mc "Well, the weather was pretty nice."
scene home_bed_megan_happy with dissolve
me "Haha. Stop it. Rest up will you? And I'll see you later."
mc "I will...I'm already...{i}yawn{/i}..feeling drowsy..from..the...{i}zzz{/i}"
label ep1_megan:
if persistent.retroactive_unlock:
    jump unlockLabel3
if _in_replay:
    if persistent.name == None:
        $ name = "Jonas"
    else:
        $ name = persistent.name
scene black with dissolve
$ renpy.pause()
scene home_bed_night with fade
mc "..."
mc "(What time is it?)"
mc "(It's so dark.)"
mc "(It must be in the middle of the night.)"
mc "(Huh. How did I lose all of my clothes?)"
mc "(I can feel something moving around down there.)"
mc "(Is there someone there? Wha--?!)"
play music "music/ep3/octoblues.mp3"
window hide
if renpy.loadable("extras.actinglessons.rpyc"):
    image anim_megan_bj = Movie(channel="anim_megan_bj", play="images/Extras/ep1/anim_megan_bj.webm")
    image anim_megan_bj2 = Movie(channel="anim_megan_bj2", play="images/Extras/ep1/anim_megan_bj2.webm")
    scene anim_megan_bj with fade:
        size (config.screen_width, config.screen_height)
    pause
    mc "Megan!? What are you doing?"
    scene anim_megan_bj2 with fade:
        size (config.screen_width, config.screen_height)
    pause
else:
    scene ep1_megan_bj with fade
    $ renpy.pause()
    mc "Megan!? What are you doing?"

stop music
$ persistent.ep1_megan = True
$ renpy.end_replay()
play sound "sound_effects/ep1/hit.mp3"
scene bed_morning2 with vpunch
mc "(Whoa!)"
play music "music/ep1/water_lily.mp3"
mc "(Another dream!? What the fuck is the matter with me?)"
mc "(It felt so real. Why couldn't it be real?)"
mc "(Megan...)"
mc "(...)"
scene bed_morning with dissolve
mc "(Yuck, I'm all sweaty from sleeping with my clothes on.)"
mc "(I need to take a shower.)"
scene home_shower_alone with fade
mc "(Ah! This feels so nice.)"
mc "(That dream though. It really was something.)"
mc "(Megan sure is attractive.)"
if offerJob == True:
    mc "(It would probably be weird if she worked as my assistant.)"
    mc "(Let's face it, being attracted to your assistant and the whole age gap...)"
    mc "(I can see the \#metoo headlines already...)"
elif offerHouse == True:
    mc "(It would probably be weird if she stayed here with me.)"
    mc "(I only have the one bedroom...)"
    mc "(I guess I could sleep on the couch for a while.)"
elif offerMoney == True:
    mc "(I hope she accepts the money I offered her.)"
    mc "(It would suck if she had to move back home to her parents.)"

scene home_naked_livingroom_walk with fade
$ renpy.pause()
stop music
scene home_after_shower_megan_shocked with hpunch
me "[name]? Oh shit!"
play music ("music/ep1/scrapbook.mp3")
mc "(!!!)"
scene home_after_shower_megan_avert_close_up with dissolve
me "(Wow! He's completely naked!)"
if athleticTrait == True:
    $ msgToDisplay = "Megan likes your physique."
    if hintsEnabled:
        show screen toprightmsg
    me "(He has a very nice body though...)"
    hide screen toprightmsg
    me "(Oh Megan! Stop it! What are you thinking?)"
    $ RPmegan += 1
scene home_after_shower_megan_avert with dissolve
mc "Megan! I'm so sorry!"
me "No! No! It's TOTALLY my fault!"
mc "Let me put some clothes on."

scene home_bedroom_dressed with fade
mc "(How embarrassing!!! She saw {b}everything{/b}!)"
mc "(How did she even get in here? Poor girl!)"

scene home_kitchen_megan_embarrassed_distance with fade
$ renpy.pause()
scene home_kitchen_megan_embarrassed with dissolve
mc "Megan, I feel so ashamed of myself. I wasn't aware that you were here."
scene home_kitchen_megan_embarrassed_talk with dissolve
me "I'm sorry [name], I let myself in."
me "I wanted to see if you were feeling better and return your keys from yesterday."
scene home_kitchen_megan_embarrassed_talk2 with dissolve
me "I didn't want to leave your door unlocked after I left so I borrowed them."
scene home_kitchen_megan_embarrassed_listen with dissolve
mc "Oh, I understand. I hope you can forgive me."
scene home_kitchen_megan_embarrassed_talk3 with dissolve
me "It's my fault, really."
scene home_kitchen_megan_embarrassed_listen with dissolve
mc "..."
mc "Thank you for returning my keys."
scene home_kitchen_megan_smile with dissolve
me "Are you feeling better?"
mc "Yes, I think so. I'm extremely hungry though."
mc "Would you like some breakfast?"
scene home_kitchen_megan_embarrassed_talk3 with dissolve
me "Sure, I could eat some before I head out."

scene home_breakfast_megan_eating with fade
mc "(Wow you could cut the tension with a knife...)"
scene home_breakfast_megan_talk with dissolve
me "Thank you for the breakfast. I haven't had pancakes in a while."
scene home_breakfast_megan_listen with dissolve
mc "And thank you for helping me yesterday. I've had these headaches that come and go, but yesterday was the worst one yet."
scene home_breakfast_megan_talk with dissolve
me "Maybe you shouldn't leave bed until you feel better?"
scene home_breakfast_megan_listen with dissolve
mc "You sound just like my doctor."
scene home_breakfast_megan_talk with dissolve
me "I'm just concerned that's all."
menu:
    "{color=#4ee44e}I appreciate it":
        mc "I really appreciate it, Megan."
        $ RPmegan += 1
        jump offerDecision
    "{color=#949494}Don't worry":
        $ msgToDisplay = "Megan finds you a bit stubborn."
        if hintsEnabled:
            show screen toprightmsg
        mc "Don't worry too much. I can take care of myself."
        hide screen toprightmsg
        scene home_breakfast_megan_neutral with dissolve
        me "If you say so."
        jump offerDecision
    "{color=#4ee44e}Nice to have someone who cares":
        mc "It's nice to know that someone cares about me."
        $ RPmegan += 1
        jump offerDecision

label offerDecision:
if offeredToHelp == False:
    jump leaveAfterBreakfast
scene home_breakfast_table_megan_neutral with dissolve
mc "About yesterday..."
mc "Have you thought about my proposition?"
scene home_breakfast_table_megan_concerned_talk  with dissolve
me "I have, but I don't think I could accept it. It's too much to ask from you."
scene home_breakfast_table_megan_concerned_listen  with dissolve
mc "It really isn't. I want to help you."
scene home_breakfast_table_megan_concerned_talk  with dissolve
me "I understand but..."
scene home_breakfast_table_megan_concerned_listen  with dissolve
mc "Let me help you the way you helped me."
mc "Megan, you saved my life."
scene home_breakfast_table_megan_talk2 with dissolve
me "I'll have to think a bit more about it. Is that ok?"
scene home_breakfast_table_megan_smile_shy with dissolve
mc "Of course it is. The offer stands."
label leaveAfterBreakfast:
scene home_breakfast_table_megan_talk2 with dissolve
me "I should be going, I have acting class today. Then I'm applying for a job as a personal shopper."
scene home_breakfast_table_megan_listen2 with dissolve
mc "All right. Good luck and thanks for the company. It was really nice seeing you again today."
scene home_breakfast_table_megan_smile2 with dissolve
mc "...and sorry again for this morning's incident."
scene home_breakfast_table_megan_concerned_talk with dissolve
me "No problem [name]. Maybe we can talk tomorrow?"
scene home_breakfast_table_megan_listen2 with dissolve
mc "I'm looking forward to it."

scene home_livingroom with fade
mc "(I'm probably best off staying at home today.)"
mc "(I could always do something fun.)"

mc "(What should I do today?)"
menu:
    "{color=#4ee44e}Invite Liam":
        jump liamHangout
    "{color=#949494}Daytrade cryptocurrencies":
        $ daytradedCrypto = True
        $ msgToDisplay = "Your choice will be remembered."
        if hintsEnabled:
            show screen toprightmsg
        mc "(I guess I could to daytrade some cryptocurrencies.)"
        hide screen toprightmsg
        scene home_computer2 with fade
        mc "(It's unbelievable how easy it is to manipulate the price when you're holding heavy bags of tokens.)"
        mc "(I've accumulated quite a lot of new promising tokens today, as well as some of the safer bets.)"
        mc "(Now all I have to do is wait until they're worth selling.)"
        stop music fadeout 3
        scene home_kitchen_night with fade
        jump endOfDayEP1
    "{color=#949494}Nothing":
        $ msgToDisplay = "Your choice will be remembered."
        if hintsEnabled:
            show screen toprightmsg
        mc "(I don't feel up for anything today.)"
        hide screen toprightmsg
        mc "(Let's just watch some movies and relax.)"
        stop music fadeout 3
        scene home_kitchen_night with fade
        jump endOfDayEP1

label liamHangout:
$ hungOutWithLiam = True
scene home_phone_call2 with dissolve
$ msgToDisplay = "Your choice will be remembered."
if hintsEnabled:
    show screen toprightmsg
mc "(Let's see if Liam's free today. I'd love to just hang out with him.)"
hide screen toprightmsg
"{i}Dial tone{/i}"
liam "[name]! How are ya feeling?"
mc "Hey Liam! I'm getting there. Still a bit woozy though."
liam "All right."
mc "I was wondering if you're free to come over and hang for a bit?"
mc "Feels like it was ages since we sat down and talked."
liam "That sounds great [name]. I have this...thing...I need to do at 2 pm, so we can hang until then."
mc "Great!"
liam "I'll see you a bit."
scene home_livingroom with fade
play sound "sound_effects/ep1/door_bell.mp3"
"{i}Doorbell rings{/i}"
scene home_porch_liam_smile with fade
liam "Hey dude!"
mc "Liam!"
scene home_porch_liam_beer
liam "I brought some beers. You up for it?"
mc "Always!"
scene home_porch_liam_talk
liam "It hope it doesn't fuck with your medication or something."
mc "Beer is medication, Liam."
scene home_porch_liam_laugh
liam "Haha! True that."
mc "Come, let's go sit in the backyard."

scene home_outside_sun_liam_talk with fade
liam "So did you get a hold of that girl Megan?"
scene home_outside_sun_liam_drink with dissolve
if gotNumberByYourself == True and gotNumber == True:
    mc "Oh. Listen to this!"
    mc "So I call that number I got from the clerk and guess what?"
    scene home_outside_sun_liam_neutral with dissolve
    mc "It was a fucking fake number!"
    scene home_outside_sun_liam_shocked with dissolve
    liam "No way!? You paid \$100 for fake digits?"
    liam "So you didn't find her then?"
    scene home_outside_sun_liam_neutral with dissolve
    mc "At first, no. But when I went back to the hospital for a checkup I found out Megan had given me her number through that nurse Leah."
    mc "Total luck!"
    jump conversationLiamSun
elif gotNumber == True and gotNumberByYourself == False:
    mc "(Should I tell him about the fake number?)"
    menu:
        "Tell him the truth":
            $ toldLiamAboutFakeNumber = True
            mc "Oh. Listen to this!"
            mc "So I call that number that you gave me and guess what?"
            scene home_outside_sun_liam_neutral with dissolve
            mc "It was a fake number!"
            scene home_outside_sun_liam_shocked with dissolve
            liam "No way!?"
            scene home_outside_sun_liam_angry with dissolve
            $ msgToDisplay = "Liam will remember that."
            if hintsEnabled:
                show screen toprightmsg
            liam "That fucking clerk!"
            hide screen toprightmsg
            scene home_outside_sun_liam_shocked with dissolve
            liam "So you couldn't get a hold of her?"
            scene home_outside_sun_liam_neutral with dissolve
            mc "At first, no. But when I went back to the hospital for a checkup I found out Megan had given me her number through that nurse Leah."
            mc "Total luck!"
            jump conversationLiamSun
        "Bend the truth":
            $ toldLiamAboutFakeNumber = False
            scene home_outside_sun_liam_neutral with dissolve
            mc "Yeah I got a hold of her. I called her up and met her in Haven park."
            jump conversationLiamSun
else:
    mc "Oh. Listen to this!"
    scene home_outside_sun_liam_neutral with dissolve
    mc "Just as I had started to give up on contacting her I got her number through that nurse Leah when I went back to the hospital for a checkup."
    mc "Total luck!"
    jump conversationLiamSun

label conversationLiamSun:
scene home_outside_sun_liam_smile with dissolve
liam "That's awesome dude! So what's Megan like?"
scene home_outside_sun_liam_drink with dissolve
mc "She's great. But a bit down on her luck lately."
scene home_outside_sun_liam_talk with dissolve
liam "How so?"
scene home_outside_sun_liam_neutral with dissolve
mc "Well, after getting fired she's having a hard time getting a new job."
mc "Also, her landlord is threatening to evict her."
mc "She's really in this city to try to get a job as an actress, but without income she'll have to move back home with her parents."
scene home_outside_sun_liam_concerned with dissolve
liam "Shit... That blows."
scene home_outside_sun_liam_neutral with dissolve
if offeredToHelp == False:
    mc "Yeah, I hope it works out for her eventually."
    jump endLiamHangout
if offerJob == True:
    mc "I offered her a paid job as my personal assistant."
    mc "But I'm not sure she'll accept it."
    scene home_outside_sun_liam_talk2 with dissolve
    liam "She probably feels like it would be weird working for you right?"
    scene home_outside_sun_liam_neutral with dissolve
    mc "Yeah, I think that's it."
elif offerHouse == True:
    mc "I offered her to stay with me while she gets her life sorted."
    mc "But I'm not sure that she'll accept it."
    scene home_outside_sun_liam_talk2 with dissolve
    liam "Oh really?"
    liam "She probably feels like it would be weird living with a stranger right?"
    scene home_outside_sun_liam_neutral with dissolve
    mc "I don't know. Maybe."
elif offerMoney == True:
    mc "I offered to pay her rent and expenses while she gets her life sorted."
    mc "But I'm not sure that she'll accept it."
    scene home_outside_sun_liam_talk2 with dissolve
    liam "Wow, that's generous."
    liam "She probably feels like she would owe you too much right?"
    scene home_outside_sun_liam_neutral with dissolve
    mc "Yeah, but I would never ask for her to repay me."
scene home_outside_sun_liam_drink with dissolve
$ renpy.pause()
scene home_outside_sun_liam_talk with dissolve
liam "Listen [name]. I'm no expert on these things..."
scene home_outside_sun_liam_happy with dissolve
liam "...hell, I repel women in the morning just as fast as I attract them the night before..."
scene home_outside_sun_liam_concerned with dissolve
liam "...but you probably shouldn't push her on this."
scene home_outside_sun_liam_talk2 with dissolve
liam "Wait for her to make her own decisions ya know?"
liam "I think it means a lot to her just knowing that you care."
scene home_outside_sun_liam_drink with dissolve
mc "Yeah. You're right. I just want to help her."
scene home_outside_sun_liam_talk2 with dissolve
liam "If she wants your help, I'm sure she'll ask for it now that you've offered it."
scene home_outside_sun_liam_smile with dissolve
liam "You're a good guy [name]. You know that right?"
mc "Thanks Liam. I couldn't ask for a better friend."
scene home_outside_sun_rain with dissolve
label endLiamHangout:
liam "Do you feel raindrops?"
mc "No, but that's a very gray cloud."
stop music fadeout 3
scene home_kitchen_night with fade
play music "sound_effects/ep1/rain_inside.mp3"
mc "(It felt great catching up with Liam. I really enjoyed his company.)"
$ RPliam += 5
jump endOfDayEP1

label endOfDayEP1:
play music "sound_effects/ep1/rain_inside.mp3"
mc "(Today was a good day. I'm feeling much better than yesterday.)"
scene home_kitchen_rain_outside with fade
mc "(It's really pouring outside.)"
mc "(It's kind of cozy just listening to the rain falling on the roof.)"
mc "(...)"
play sound "sound_effects/ep1/door_bell.mp3"
"{i}Doorbell rings{/i}"
mc "(Who could that be at this hour?)"
scene home_door_closed with fade
mc "(Is that...?)"
play sound "sound_effects/ep1/rain_outside.mp3"
scene home_door_megan_sad_wet with dissolve
mc "Megan! What's the matter?! You're all wet!"
scene home_door_megan_sad_hug_wet with dissolve
$ renpy.pause(0.5)
scene home_door_megan_sad_hug_wet2 with dissolve
mc "Hey! What happened?"
me "{i}*sobbing*{/i}"
mc "Hey?"
scene home_door_megan_cry_wet with dissolve
me "So I come home after being rejected from yet another job...and...and..."
mc "What?"
scene home_door_megan_cry_angry_wet
me "I find all my belongings thrown outside!"
me "My landlord had changed all the locks and put up an eviction notice!"
scene home_door_megan_cry_wet
me "He didn't even give me a chance...to..."
scene home_door_megan_neutral_wet with dissolve
mc "Megan... shhh...calm down..."
scene home_door_megan_talk_wet with dissolve
me "...and most of my stuff was missing. I think someone stole it."
scene home_door_megan_talk_wet2 with dissolve

if offerHouse == True:
    me "I didn't know where to go...and then I remembered your offer..."
else:
    me "I didn't know where to go...and you were the first person I could think of."

me "Can I stay here with you for a while?"
scene home_door_megan_listen with dissolve
mc "Of course you can! Come in, you must be freezing."
mc "Let me get you a towel."

stop music fadeout 2
stop sound fadeout 2
$renpy.sound.play("sound_effects/ep1/rain_inside.mp3", loop=True)
scene home_livingroom_give_towel with fade
mc "Here you go. The bathroom is over there if you want to use it."
me "Thanks...{i}*sob*{/i}"
scene home_livingroom_alone_night with fade
mc "(Poor girl. How unlucky can one be?)"
mc "(Of course she can stay here! I'll help her...)"
mc "(I just want to hold her close and comfort her.)"
scene home_livingroom_alone_night_bag with dissolve
mc "(Tell her that everything will be all right.)"
mc "(I'll make it right for her. I should have enough money for the both of us.)"
scene home_livingroom_alone_night with dissolve
mc "(Sure, my savings are meant to last for me alone...)"
mc "(...but I can probably earn more by trading.)"
mc "(Besides, she'll probably not want to stay here forever.)"
play music "music/ep1/loving_light.mp3"
me "Hey [name]."
mc "(!!!)"
scene home_livingroom_megan_from_shower_smile with fade
mc "Oh Megan. Did you find everything you need?"
scene home_livingroom_megan_from_shower_talk with fade
me "Yup."
me "Thank you for helping me. It means the world to me right now."
scene home_livingroom_megan_from_shower_listen with dissolve
mc "Let me know if I can do anything to make you feel more comfortable."
scene home_livingroom_megan_from_shower_roses with dissolve
me "Hey! You kept the roses."
scene home_livingroom_megan_from_shower_happy with dissolve
mc "Of course I did. They reminded me of you."
#
scene home_livingroom_megan_from_shower_talk with dissolve
me "Can we talk?"
scene home_livingroom_megan_from_shower_listen with dissolve
mc "Sure, let's sit down."
scene home_livingroom_megan_sofa_talk with fade
me "Listen... Sorry for barging in on you like this."
me "I know you have your own problems to worry about."
scene home_livingroom_megan_sofa_talk2 with dissolve
me "It just feels like my entire world fell apart in one day..."
scene home_livingroom_megan_sofa_talk3 with dissolve
me "I thought I had more time to sort this mess out."
scene home_livingroom_megan_sofa_listen with dissolve
mc "Megan, don't worry I'll help you sort it out."

if wellReadTrait == True:
    mc "\"The best thing one can do when it rains, is to let it rain.\""
    mc "The cloud over your head will eventually disappear."
    scene home_livingroom_megan_sofa_smile with dissolve
    $ RPmegan += 2
    me "That's beautiful."

scene home_livingroom_megan_sofa_talk with dissolve
me "Promise me something..."
scene home_livingroom_megan_sofa_talk4 with dissolve
me "...promise you'll tell me if I'm bothering you in any way."
me "I do have friends on the other side of town that I possibly could stay with if this doesn't work out."
menu:
    "{color=#949494}I promise":
        mc "I promise."
        scene home_livingroom_megan_sofa_smile with dissolve
        mc "It is unlikely to happen, but I promise."
        $ msgToDisplay = "Megan is happy."
        if hintsEnabled:
            show screen toprightmsg
        me "Thank you!"
        hide screen toprightmsg
        $ RPmegan += 1
        jump ep1GoToBed
    "{color=#949494}I won't promise that":
        mc "I won't promise that. I would never ask you to leave, Megan."
        scene home_livingroom_megan_sofa_talk with dissolve
        me "But you must!"
        scene home_livingroom_megan_sofa_listen with dissolve
        $ msgToDisplay = "Megan is concerned."
        if hintsEnabled:
            show screen toprightmsg
        mc "I won't. Stay as long as you like and need."
        hide screen toprightmsg
        jump ep1GoToBed
    "{color=#4ee44e}This will work out":
        mc "I don't have to promise you that. This will work out, Megan."
        scene home_livingroom_megan_sofa_talk with dissolve
        me "But you must promise! You don't know me well enough to know that this will work."
        scene home_livingroom_megan_sofa_listen with dissolve
        if charismaticTrait == True:
            mc "That may be true, but I know myself well enough to know it will."
            scene home_livingroom_megan_sofa_convince_talk with dissolve
            me "I can be a mess you know?"
            me "My clothes might lie all over the place."
            scene home_livingroom_megan_sofa_talk4 with dissolve
            me "I may forget to do the dishes."
            me "I sing a lot."
            scene home_livingroom_megan_sofa_convince_talk with dissolve
            me "I practice acting often...and loud!"
            scene home_livingroom_megan_sofa_listen with dissolve
            mc "You're gonna have to do worse than that to annoy me."
            scene home_livingroom_megan_sofa_smile with dissolve
            $ msgToDisplay = "Megan is very happy to hear that."
            if hintsEnabled:
                show screen toprightmsg
            me "Well...I guess we'll see then."
            hide screen toprightmsg
            $ RPmegan += 2
        else:
            $ msgToDisplay = "Megan appreciates that."
            if hintsEnabled:
                show screen toprightmsg
            mc "Fine, I promise."
            hide screen toprightmsg
            $ RPmegan += 1
            scene home_livingroom_megan_sofa_listen with dissolve

label ep1GoToBed:
mc "Maybe we can continue this talk tomorrow? I think we both need to get some shuteye."
scene home_livingroom_bed_focus_night with dissolve
mc "Go ahead and take the bed. I replaced the sheets earlier today."
scene home_livingroom_megan_sofa_smile with dissolve
me "I can't sleep in your bed. Where will you sleep?"
if charismaticTrait == True:
    mc "Next to you of course."
    scene home_livingroom_megan_sofa_convince_surprised with dissolve
    mc "That was a joke."
    me "..."
    mc "Obviously not a good one..."
    scene home_livingroom_megan_sofa_smile with dissolve
mc "Don't worry, I'll take the couch."
scene home_livingroom_megan_sofa_talk with dissolve
me "[name]..."
mc "Yes?"
scene home_livingroom_megan_kiss with dissolve
$ renpy.pause(0.5)
scene home_livingroom_megan_kiss2 with dissolve
$ renpy.pause(0.5)
scene home_livingroom_megan_kiss_cheek with dissolve
$ renpy.pause()
scene home_livingroom_megan_kiss_cheek2 with dissolve
me "Thank you!"

scene home_sleep_couch with fade
mc "(...)"
mc "(I hope she'll be able to sleep well.)"
mc "(I know I'll have a hard time falling asleep...)"
mc "(...but tonight it's not because of a headache.)"
scene home_megan_bed_alone with dissolve
mc "(Look at her...)"
scene home_megan_bed_alone_closer with dissolve
mc "(She's so beautiful.)"
mc "(...)"
scene home_megan_bed_alone_closer2 with dissolve
mc "(I won't let her hurt any more.)"
$ renpy.pause()
scene black with fade
jump endOfEpisode1

label endOfEpisode1:
window hide
scene relationship_report_ep1 with fade
$ renpy.pause()
"(Now is a perfect time to save your game.)"
scene liam_eval_ep1 with fade
$ liamEvalEp1 = ""
if gotNumberByYourself == False and gotNumber == True:
    $ liamEvalEp1 += "Liam helped you get the number from the clerk."
elif gotNumberByYourself == True:
    $ liamEvalEp1 += "You got the number from the clerk without Liam's help."
else:
    $ liamEvalEp1 += " Liam didn't help you get the number from the clerk."
if hungOutWithLiam == True:
    $ liamEvalEp1 += "\n\n"
    $ liamEvalEp1 += "You hung out with Liam."
else:
    $ liamEvalEp1 += "\n\n"
    $ liamEvalEp1 += "You didn't hang out with Liam."
if RPliam > 5:
    $ liamEvalEp1 += "\n\n"
    $ liamEvalEp1 += "Liam has your back because he knows you have his."
elif RPliam > 3:
    $ liamEvalEp1 += "\n\n"
    $ liamEvalEp1 += "Liam is your friend and he trusts you."
else:
    $ liamEvalEp1 += "\n\n"
    $ liamEvalEp1 += "You are Liam's friend."
# Points
$ rpScore = "0"
$ testScore = RPliam
if testScore >= 10:
    $ rpScore = "5"
elif testScore == 9:
    $ rpScore = "4_5"
elif testScore >= 8:
    $ rpScore = "4"
elif testScore >= 7:
    $ rpScore = "3_5"
elif testScore >= 6:
    $ rpScore = "3"
elif testScore >= 5:
    $ rpScore = "2_5"
elif testScore >= 4:
    $ rpScore = "2"
elif testScore >= 3:
    $ rpScore = "1_5"
elif testScore >= 2:
    $ rpScore = "1"
elif testScore >= 1:
    $ rpScore = "0_5"
else:
    $ rpScore = ""

if rpScore == "5":
    show cake5 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "4_5":
    show cake4_5 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "4":
    show cake4 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "3_5":
    show cake3_5 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "3":
    show cake3 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "2_5":
    show cake2_5 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "2":
    show cake2 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "1_5":
    show cake1_5 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "1":
    show cake1 at right:
        xpos 0.98
        ypos 0.98
elif rpScore == "0_5":
    show cake0_5 at right:
        xpos 0.98
        ypos 0.98
else:
    show cake at right:
        xpos 0.98
        ypos 0.98
#

evaluationRight "[liamEvalEp1]"

scene leah_eval_ep1 with fade
$ leahEvalEp1 =      "Leah helped you contact Megan."

if kissedLeah:
    $ leahEvalEp1 += "\n\n"
    $ leahEvalEp1 += "You kissed Leah."
else:
    $ leahEvalEp1 += "\n\n"
    $ leahEvalEp1 += "You didn't kiss Leah."

if RPleah > 7:
    $ leahEvalEp1 += "\n\n"
    $ leahEvalEp1 += "Leah cannot stop thinking about you."
elif RPleah > 5:
    $ leahEvalEp1 += "\n\n"
    $ leahEvalEp1 += "Leah thinks about you."
elif RPleah > 3:
    $ leahEvalEp1 += "\n\n"
    $ leahEvalEp1 += "Leah is a bit interested in you."
else:
    $ leahEvalEp1 += "\n\n"
    $ leahEvalEp1 += "Leah is not interested in you."
$ rpScore = "0"
$ testScore = RPleah
if athleticTrait:
    if testScore >= 7:
        $ rpScore = "5"
    elif testScore == 6:
        $ rpScore = "4_5"
    elif testScore >= 12:
        $ rpScore = "5"
    elif testScore >= 4:
        $ rpScore = "3_5"
    elif testScore >= 3:
        $ rpScore = "3"
    elif testScore >= 2:
        $ rpScore = "2_5"
    elif testScore >= 1:
        $ rpScore = "2"
    elif testScore >= 0:
        $ rpScore = "1_5"
    elif testScore >= 0:
        $ rpScore = "1"
    elif testScore >= 0:
        $ rpScore = "0_5"
    else:
        $ rpScore = ""
else:
    if testScore >= 8:
        $ rpScore = "5"
    elif testScore == 7:
        $ rpScore = "4_5"
    elif testScore >= 6:
        $ rpScore = "4"
    elif testScore >= 5:
        $ rpScore = "3_5"
    elif testScore >= 4:
        $ rpScore = "3"
    elif testScore >= 3:
        $ rpScore = "2_5"
    elif testScore >= 2:
        $ rpScore = "2"
    elif testScore >= 1:
        $ rpScore = "1_5"
    elif testScore >= 0:
        $ rpScore = "1"
    elif testScore >= 0:
        $ rpScore = "0_5"
    else:
        $ rpScore = ""

if rpScore == "5":
    show cake5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "4_5":
    show cake4_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "4":
    show cake4 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "3_5":
    show cake3_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "3":
    show cake3 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "2_5":
    show cake2_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "2":
    show cake2 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "1_5":
    show cake1_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "1":
    show cake1 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "0_5":
    show cake0_5 at left:
        xpos 0.02
        ypos 0.98
else:
    show cake at left:
        xpos 0.02
        ypos 0.98

evaluationLeft "[leahEvalEp1]"

scene megan_eval_ep1 with fade
$ meganEvalEp1 = ""
if actedDuringRobbery:
    $ meganEvalEp1 += "You tried to help Megan during the robbery."
else:
    $ meganEvalEp1 += "You didn't try to help Megan during the robbery."

if questioningPoints > 2:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "Your police report made Megan feel relieved."
elif questioningPoints == 2:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "Your police report made Megan feel less anxious."
else:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "Your police report didn't comfort Megan."

if offeredToHelp:
    if offerMoney:
        $ meganEvalEp1 += "\n\n"
        $ meganEvalEp1 += "You offered to pay for Megan's expenses."
    elif offerJob:
        $ meganEvalEp1 += "\n\n"
        $ meganEvalEp1 += "You offered Megan to work for you."
    else:
        $ meganEvalEp1 += "\n\n"
        $ meganEvalEp1 += "You offered Megan to come live with you."
else:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "You didn't offer to help Megan."

if RPmegan > 18:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "Megan is very impressed by your actions."
elif RPmegan > 15:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "Your actions have impressed Megan."
elif RPmegan > 10:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "Your actions have impressed Megan slightly."
else:
    $ meganEvalEp1 += "\n\n"
    $ meganEvalEp1 += "Your actions have not impressed Megan yet."
$ meganEvalEp1 += "\n\n"
$ meganEvalEp1 += "Megan is currently staying at your place."

$ rpScore = "0"
$ testScore = RPmegan
if testScore >= 20:
    $ rpScore = "5"
elif testScore >= 18:
    $ rpScore = "4_5"
elif testScore >= 16:
    $ rpScore = "4"
elif testScore >= 14:
    $ rpScore = "3_5"
elif testScore >= 12:
    $ rpScore = "3"
elif testScore >= 10:
    $ rpScore = "2_5"
elif testScore >= 8:
    $ rpScore = "2"
elif testScore >= 6:
    $ rpScore = "1_5"
elif testScore >= 4:
    $ rpScore = "1"
elif testScore >= 2:
    $ rpScore = "0_5"
else:
    $ rpScore = ""

if rpScore == "5":
    show cake5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "4_5":
    show cake4_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "4":
    show cake4 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "3_5":
    show cake3_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "3":
    show cake3 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "2_5":
    show cake2_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "2":
    show cake2 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "1_5":
    show cake1_5 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "1":
    show cake1 at left:
        xpos 0.02
        ypos 0.98
elif rpScore == "0_5":
    show cake0_5 at left:
        xpos 0.02
        ypos 0.98
else:
    show cake at left:
        xpos 0.02
        ypos 0.98

evaluationLeft "[meganEvalEp1]"
$ renpy.free_memory()
if persistent.ep1_ana and persistent.ep1_leah and persistent.ep1_megan and persistent.ep2_melissa and persistent.ep2_melissa2 and persistent.ep2_angela and persistent.ep2_hedwig and persistent.ep2_both and persistent.ep3_melissa and persistent.ep3_megan2 and persistent.ep3_leah and persistent.ep3_leah2 and persistent.ep3_megan and persistent.ep4_anhw and persistent.ep4_angela_footsie and persistent.ep4_megan and persistent.ep4_rena and persistent.ep4_rena2 and persistent.ep5_melissa and persistent.ep5_megan and persistent.ep5_megan2 and persistent.ep5_ana and persistent.ep6_melissa and persistent.ep6_melissa2 and persistent.ep6_rena and persistent.ep7_rena and persistent.ep7_leah and persistent.ep8_megan and persistent.ep8_melissa and persistent.ep8_rena:
    $ achievement.grant("ALLSCENES")
    init:
        $ achievement.register("ALLSCENES")
$ achievement.grant("EPISODE1")
init:
    $ achievement.register("EPISODE1")
$ achievement.Sync()

if renpy.loadable("episode2.rpyc"):
    jump startEpisode2
else:
    jump endOfVersion

label endOfVersion:
scene game_credits with fade
$ renpy.pause()
scene acknowledgements with fade
$ renpy.pause()
scene music_credits with fade
$ renpy.pause()
scene version_end with fade
$ renpy.pause()
return
